class ComponentFactory.Krypton.Toolkit.PaletteHeaderGroup
   inherits ComponentFactory.Krypton.Toolkit.PaletteDouble
   implements ComponentFactory.Krypton.Toolkit.IPaletteDouble, ComponentFactory.Krypton.Toolkit.IPaletteMetric:

   def public override property IsDefault as logical
      get.

   def public property HeaderPrimary as ComponentFactory.Krypton.Toolkit.PaletteTripleMetric
      get.

   def public property HeaderSecondary as ComponentFactory.Krypton.Toolkit.PaletteTripleMetric
      get.

   constructor public PaletteHeaderGroup(input inheritHeaderGroup as ComponentFactory.Krypton.Toolkit.PaletteHeaderGroupRedirect, input inheritHeaderPrimary as ComponentFactory.Krypton.Toolkit.PaletteHeaderPaddingRedirect, input inheritHeaderSecondary as ComponentFactory.Krypton.Toolkit.PaletteHeaderPaddingRedirect, input needPaint as ComponentFactory.Krypton.Toolkit.NeedPaintHandler):
   end constructor.

   method public final void SetInherit(input inheritHeaderGroup as ComponentFactory.Krypton.Toolkit.PaletteHeaderGroup):
   end method.

   method public final integer GetMetricInt(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricInt):
   end method.

   method public final ComponentFactory.Krypton.Toolkit.InheritBool GetMetricBool(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricBool):
   end method.

   method public final System.Windows.Forms.Padding GetMetricPadding(input state as ComponentFactory.Krypton.Toolkit.PaletteState, input metric as ComponentFactory.Krypton.Toolkit.PaletteMetricPadding):
   end method.

end class.
