interface DataPA.Security
   inherits DataPA._Security, DataPA.__Security_Event:

   def public property AllowSetup as logical
      get.

   def public property AllowSubjects as logical
      get.

   def public property AllowLinks as logical
      get.

   def public property AllowSystems as logical
      get.

   def public property AllowSecurity as logical
      get.

   def public property RequirePassword as logical
      get.

   def public property Version as character
      get.

   def public property userlevel as character
      get.

   def public property User as character
      get.

   def public property Organisation as character
      get.

   def public property SerialNumber as character
      get.

   def public property LicenseQuantity as character
      get.

   def public property ExpiryDate as datetime
      get.

   def public property SuppressEvaluationWarning as logical
      get.
      set.

   def public property AllowSelectConnection as logical
      get.

   def public property RunQueryOnly as logical
      get.

   def public property AllowProgressSystems as logical
      get.

   def public property AllowSetupLockOverride as logical
      get.

   def public property ReadOnlySetup as logical
      get.

   def public property SchedulerParent as logical
      get.
      set.

   def public event RequestServerSecData signature void ().

   def public event RequestSystems signature void ().

   def public event LicenseChanged signature void ().

   method public void Initialise(input Application as DataPA.Application).

   method public void add_RequestServerSecData(input evt as DataPA.__Security_RequestServerSecDataEventHandler).

   method public void remove_RequestServerSecData(input evt as DataPA.__Security_RequestServerSecDataEventHandler).

   method public void add_RequestSystems(input evt as DataPA.__Security_RequestSystemsEventHandler).

   method public void remove_RequestSystems(input evt as DataPA.__Security_RequestSystemsEventHandler).

   method public void add_LicenseChanged(input evt as DataPA.__Security_LicenseChangedEventHandler).

   method public void remove_LicenseChanged(input evt as DataPA.__Security_LicenseChangedEventHandler).

end interface.
