interface DataPA.__Application_Event:

   def public event QueryAlive signature void (input Cancel as logical).

   def public event DataAvailable signature void ().

   def public event GetInterface signature void ().

   def public event ChangeToDesign signature void ().

   def public event QueryOpened signature void (input Query as DataPA.Query).

   def public event QueryClosed signature void ().

   def public event CancelQueryWizard signature void ().

   def public event CancelLinkWizard signature void ().

   def public event RunQuery signature void (input Query as DataPA.Query, input Cancel as logical).

   def public event SetupChange signature void (input paType as DataPA.paSetupChangeType, input Bookmark as System.Object, input bNew as logical).

   def public event SetupRefreshed signature void ().

   def public event CloseQueryRequest signature void (input paResponse as DataPA.paRequestCloseQueryResponse).

   def public event SlientSet signature void (input bSilent as logical).

   def public event LicenseChanged signature void ().

   def public event ConnectClientServer signature void (input bRunningCS as logical).

   def public event RunProcedure signature void (input cmethodname as character, input cProcType as character, input cReturnValue as character, input cReturnType as character, input cParameterNames as character, input cParameterTypes as character, input cParameterTypes as character, input cParameterDirections as character, input rs1 as System.Object, input rs2 as System.Object, input rs3 as System.Object, input rs4 as System.Object, input rs5 as System.Object, input rs6 as System.Object).

   def public event OpenPublished signature void (input contentType as DataPAClientConfig.ClientConfig.AllowOpenFromServerFileType, input DocumentName as character, input data as System.Byte extent).

   def public event LoginInformationRequest signature void (input LoginInfo as DataPA.LoginInfoEventArgs).

   def public event ConnectFail signature void ().

   method public void add_QueryAlive(input evt as DataPA.__Application_QueryAliveEventHandler).

   method public void remove_QueryAlive(input evt as DataPA.__Application_QueryAliveEventHandler).

   method public void add_DataAvailable(input evt as DataPA.__Application_DataAvailableEventHandler).

   method public void remove_DataAvailable(input evt as DataPA.__Application_DataAvailableEventHandler).

   method public void add_GetInterface(input evt as DataPA.__Application_GetInterfaceEventHandler).

   method public void remove_GetInterface(input evt as DataPA.__Application_GetInterfaceEventHandler).

   method public void add_ChangeToDesign(input evt as DataPA.__Application_ChangeToDesignEventHandler).

   method public void remove_ChangeToDesign(input evt as DataPA.__Application_ChangeToDesignEventHandler).

   method public void add_QueryOpened(input evt as DataPA.__Application_QueryOpenedEventHandler).

   method public void remove_QueryOpened(input evt as DataPA.__Application_QueryOpenedEventHandler).

   method public void add_QueryClosed(input evt as DataPA.__Application_QueryClosedEventHandler).

   method public void remove_QueryClosed(input evt as DataPA.__Application_QueryClosedEventHandler).

   method public void add_CancelQueryWizard(input evt as DataPA.__Application_CancelQueryWizardEventHandler).

   method public void remove_CancelQueryWizard(input evt as DataPA.__Application_CancelQueryWizardEventHandler).

   method public void add_CancelLinkWizard(input evt as DataPA.__Application_CancelLinkWizardEventHandler).

   method public void remove_CancelLinkWizard(input evt as DataPA.__Application_CancelLinkWizardEventHandler).

   method public void add_RunQuery(input evt as DataPA.__Application_RunQueryEventHandler).

   method public void remove_RunQuery(input evt as DataPA.__Application_RunQueryEventHandler).

   method public void add_SetupChange(input evt as DataPA.__Application_SetupChangeEventHandler).

   method public void remove_SetupChange(input evt as DataPA.__Application_SetupChangeEventHandler).

   method public void add_SetupRefreshed(input evt as DataPA.__Application_SetupRefreshedEventHandler).

   method public void remove_SetupRefreshed(input evt as DataPA.__Application_SetupRefreshedEventHandler).

   method public void add_CloseQueryRequest(input evt as DataPA.__Application_CloseQueryRequestEventHandler).

   method public void remove_CloseQueryRequest(input evt as DataPA.__Application_CloseQueryRequestEventHandler).

   method public void add_SlientSet(input evt as DataPA.__Application_SlientSetEventHandler).

   method public void remove_SlientSet(input evt as DataPA.__Application_SlientSetEventHandler).

   method public void add_LicenseChanged(input evt as DataPA.__Application_LicenseChangedEventHandler).

   method public void remove_LicenseChanged(input evt as DataPA.__Application_LicenseChangedEventHandler).

   method public void add_ConnectClientServer(input evt as DataPA.__Application_ConnectClientServerEventHandler).

   method public void remove_ConnectClientServer(input evt as DataPA.__Application_ConnectClientServerEventHandler).

   method public void add_RunProcedure(input evt as DataPA.__Application_RunProcedureEventHandler).

   method public void remove_RunProcedure(input evt as DataPA.__Application_RunProcedureEventHandler).

   method public void add_OpenPublished(input evt as DataPA.__Application_OpenPublishedEventHandler).

   method public void remove_OpenPublished(input evt as DataPA.__Application_OpenPublishedEventHandler).

   method public void add_LoginInformationRequest(input evt as DataPA.__Application_LoginInformationRequestEventHandler).

   method public void remove_LoginInformationRequest(input evt as DataPA.__Application_LoginInformationRequestEventHandler).

   method public void add_ConnectFail(input evt as DataPA.__Application_ConnectFailEventHandler).

   method public void remove_ConnectFail(input evt as DataPA.__Application_ConnectFailEventHandler).

end interface.
