class DataPAClientConfig.SecurityInfo
   inherits System.Object
   implements DataPAClientConfig.SecurityInfo._SecurityInfo:

   def public static variable SetupAccessLicenseTypes as System.String extent.

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property AllowPublish as logical
      get.

   def public property AllowManageServer as logical
      get.

   def public property AllowChangePassword as logical
      get.

   def public property Parent as DataPAClientConfig.ClientConfig
      get.
      set.

   def public property Administrator as logical
      get.

   def public property AllowLinks as logical
      get.

   def public property AllowSecurity as logical
      get.

   def public property AllowSelectConnection as logical
      get.

   def public property AllowSetup as logical
      get.

   def public property AllowSetupLockOverride as logical
      get.

   def public property AllowSubjects as logical
      get.

   def public property AllowSystems as logical
      get.

   def public property ReadOnlySetup as logical
      get.

   def public property RequireSecurityPassword as logical
      get.

   def public property RunQueryOnly as logical
      get.

   def public property SecurityPassword as character
      get.

   def public property Group as DataPAServerSecurity.Group
      get.

   def public property Clone as DataPAClientConfig.SecurityInfo
      get.

   def public property DenySystemsAccess as logical
      get.

   def public property DenySubjectsAccess as logical
      get.

   constructor public SecurityInfo(input Parent as DataPAClientConfig.ClientConfig):
   end constructor.

   constructor public SecurityInfo():
   end constructor.

   method public final void Dispose():
   end method.

end class.
