class DataPAServerSecurity.User
   inherits System.Object
   implements DataPAServerSecurity.User._User, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property UserName as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property Group as DataPAServerSecurity.Group
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Parent as DataPAServerSecurity.UsersCollection
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   constructor public User():
   end constructor.

   constructor public User(input Parent as DataPAServerSecurity.UsersCollection):
   end constructor.

   constructor public User(input Parent as DataPAServerSecurity.UsersCollection, input Username as character):
   end constructor.

   constructor public User(input Parent as DataPAServerSecurity.UsersCollection, input Username as character, input Password as character):
   end constructor.

   constructor public User(input Parent as DataPAServerSecurity.UsersCollection, input Username as character, input Password as character, input Group as character):
   end constructor.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

end class.
