interface Infragistics.UltraChart.Data.IChartData:

   method public integer GetRowCount().

   method public integer GetColumnCount().

   method public decimal GetDataMax().

   method public decimal GetDataMin().

   method public decimal GetValue(input row as integer, input column as integer).

   method public character GetStringValue(input row as integer, input column as integer).

   method public System.Object GetObjectValue(input row as integer, input column as integer).

   method public System.Object GetRowLabel(input row as integer).

   method public System.Object GetColumnLabel(input column as integer).

   method public void SetRowLabelsColumn(input column as integer).

   method public integer GetRowLabelsColumn().

   method public void SetUseRowLabels(input use as logical).

   method public logical GetUseRowLabels().

   method public decimal GetDataMaxColumn(input column as integer).

   method public decimal GetDataMinColumn(input column as integer).

   method public decimal GetDataMaxRow(input row as integer).

   method public decimal GetDataMinRow(input row as integer).

   method public logical IsColumnNumeric(input column as integer).

   method public logical IsColumnDateTime(input column as integer).

   method public logical IsColumnString(input column as integer).

   method public logical IsColumnNumeric(input row as integer, input column as integer).

end interface.
