class Infragistics.UltraChart.Resources.Appearance.RadarChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ChartTypeAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property LineEndCapStyle as Infragistics.UltraChart.Shared.Styles.LineCapStyle
      get.
      set.

   def public property MidPointAnchors as logical
      get.
      set.

   def public property LineDrawStyle as Infragistics.UltraChart.Shared.Styles.LineDrawStyle
      get.
      set.

   def public property LineThickness as integer
      get.
      set.

   def public property SplineTension as decimal
      get.
      set.

   def public property ColorFill as logical
      get.
      set.

   def public property NullHandling as Infragistics.UltraChart.Shared.Styles.NullHandling
      get.
      set.

   def public property SpacingAroundChart as integer
      get.
      set.

   constructor public RadarChartAppearance():
   end constructor.

   constructor public RadarChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method protected final logical ShouldSerializeLineEndCapStyle():
   end method.

   method public final void ResetLineEndCapStyle():
   end method.

   method protected final logical ShouldSerializeMidPointAnchors():
   end method.

   method public final void ResetMidPointAnchors():
   end method.

   method protected final logical ShouldSerializeLineDrawStyle():
   end method.

   method public final void ResetLineDrawStyle():
   end method.

   method protected final logical ShouldSerializeLineThickness():
   end method.

   method public final void ResetLineThickness():
   end method.

   method protected final logical ShouldSerializeSplineTension():
   end method.

   method public final void ResetSplineTension():
   end method.

   method protected final logical ShouldSerializeColorFill():
   end method.

   method public final void ResetColorFill():
   end method.

   method public override logical ShouldSerialize():
   end method.

   method protected final logical ShouldSerializeNullHandling():
   end method.

   method public final void ResetNullHandling():
   end method.

   method protected logical ShouldSerializeSpacingAroundChart():
   end method.

   method public void ResetSpacingAroundChart():
   end method.

end class.
