class RunDataPA.Application
   inherits System.Object:

   def public property Systems as RunDataPA.Systems
      get.
      set.

   def public property Connection as RunDataPA.PAConnection
      get.
      set.

   def public property QueryValidated as logical
      get.

   def public property ConditionsRecordset as ADODB.Recordset
      get.

   def public property SystemsRecordset as ADODB.Recordset
      get.

   def public property LinksRecordset as ADODB.Recordset
      get.
      set.

   def public property LookupsRecordset as ADODB.Recordset
      get.
      set.

   def public property SQLDatabases as ADODB.Recordset
      get.
      set.

   def public property SQLTables as ADODB.Recordset
      get.
      set.

   def public property SQLFields as ADODB.Recordset
      get.
      set.

   def public property Subjectsrecordset as ADODB.Recordset
      get.
      set.

   def public property SmartDataObjectsRecordset as ADODB.Recordset
      get.

   def public property QueryRecordSet as ADODB.Recordset
      get.

   def public property MessageTitle as character
      get.
      set.

   def public property DateFormat as character
      get.
      set.

   def public property Interface_Renamed as System.Object
      get.
      set.

   def public property Query as RunDataPA.Query
      get.
      set.

   def public property DPALogging as DataPALogging.DPALogging
      get.
      set.

   def public property Username as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property DataLocation as character
      get.
      set.

   def public property DataFileFormat as RunDataPA.Application.paDataFileFormat
      get.
      set.

   def public property UserLevel as character
      get.
      set.

   def public property Version as character
      get.
      set.

   def public property AllowSplitResults as logical
      get.
      set.

   def public property QueryString as character
      get.
      set.

   def public property ShowCopyQuery as logical
      get.
      set.

   def public property DisableAutoUpdate as logical
      get.
      set.

   def public property NonPrimaryLink as logical
      get.
      set.

   def public property PrivateInfo as character
      get.
      set.

   def public property Silent as logical
      get.
      set.

   def public property NoOverride as logical
      get.
      set.

   def public property MessageLogFile as character
      get.
      set.

   def public property ForceSelectLinkFields as logical
      get.
      set.

   def public property CopyParentParameters as logical
      get.
      set.

   def public event DataAvailable signature void ().

   def public event GetInterface signature void ().

   def public event ChangeToDesign signature void ().

   def public event QueryOpened signature void (input Query as RunDataPA.Query).

   def public event QueryClosed signature void ().

   def public event CancelQueryWizard signature void ().

   def public event CancelLinkWizard signature void ().

   def public event RunQuery signature void (input Query as RunDataPA.Query, input Cancel as logical).

   def public event SetupChange signature void (input paType as RunDataPA.Application.paSetupChangeType, input Bookmark as System.Object, input bNew as logical).

   def public event CloseQueryRequest signature void (input paResponse as RunDataPA.Application.paRequestCloseQueryResponse).

   def public event SlientSet signature void (input bSilent as logical).

   def public event LicenseChanged signature void ().

   def public event LoginInformationRequest signature void (input sender as System.Object, input e as RunDataPA.LoginInformationRequiredEventArgs).

   def public event ConnectFail signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public Application():
   end constructor.

   constructor public Application(input Silent as logical):
   end constructor.

   constructor public Application(input DataLocation as character):
   end constructor.

   constructor public Application(input DataLocation as character, input Silent as logical):
   end constructor.

   constructor public Application(input Systems as System.Object, input Links as System.Object, input Subjects as System.Object, input Conditions as System.Object, input SmartDataObjects as System.Object, input Lookups as System.Object, input RootObject as System.Object):
   end constructor.

   constructor public Application(input Systems as System.Object, input Links as System.Object, input Subjects as System.Object, input Conditions as System.Object, input SmartDataObjects as System.Object, input Lookups as System.Object, input Silent as logical, input RootObject as System.Object):
   end constructor.

   method public final void UpdateRecordsets(input Systems as System.Object, input Links as System.Object, input Subjects as System.Object, input Conditions as System.Object, input SmartDataObjects as System.Object, input Lookups as System.Object):
   end method.

   method protected final override void Finalize():
   end method.

   method public final RunDataPA.Query LoadQuery(input Filename as character):
   end method.

   method public final RunDataPA.Query SavedQuery(input Filename as character):
   end method.

   method public final logical DeleteLink(input ID as character):
   end method.

   method public final logical DeleteSystem(input Name as character, input Silent as logical):
   end method.

   method public final logical DeleteSubject(input ID as character, input Silent as logical):
   end method.

   method public final void SaveSettings():
   end method.

   method public final void CopyRecordset(input rsFrom as ADODB.Recordset, input rsTo as ADODB.Recordset):
   end method.

   method public final character GetResString(input nRes as integer):
   end method.

   method public final void CloseQuery():
   end method.

   method public final RunDataPA.Query LoadQueryFromString(input QueryString as character):
   end method.

   method public final void CheckRecordsMatch():
   end method.

   method public final logical DynamicsLogin():
   end method.

   method public final logical DeleteLookup(input ID as character, input Silent as logical):
   end method.

   method public final void RefreshSetup():
   end method.

   method public final DataPASQLClient.SQLClient SQLClient(input ErrorMessage as character):
   end method.

   method public final void RaiseLoginInformationRequest(input sender as System.Object, input e as RunDataPA.LoginInformationRequiredEventArgs):
   end method.

   method public final void RaiseConnectFail(input sender as System.Object, input e as System.EventArgs):
   end method.

end class.
