class System.Reflection.Module
   inherits System.Object
   implements System.Runtime.InteropServices._Module, 
              System.Runtime.Serialization.ISerializable, 
              System.Reflection.ICustomAttributeProvider
   abstract:

   def public static variable FilterTypeName as System.Reflection.TypeFilter.

   def public static variable FilterTypeNameIgnoreCase as System.Reflection.TypeFilter.

   def public property CustomAttributes as System.Collections.Generic.IEnumerable
      get.

   def public property MDStreamVersion as integer
      get.

   def public property FullyQualifiedName as character
      get.

   def public property ModuleVersionId as System.Guid
      get.

   def public property MetadataToken as integer
      get.

   def public property ScopeName as character
      get.

   def public property Name as character
      get.

   def public property Assembly as System.Reflection.Assembly
      get.

   def public property ModuleHandle as System.ModuleHandle
      get.

   constructor protected Module():
   end constructor.

   method public override logical Equals(input o as System.Object):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method public System.Object extent GetCustomAttributes(input inherit as logical):
   end method.

   method public System.Object extent GetCustomAttributes(input attributeType as System.Type, input inherit as logical):
   end method.

   method public logical IsDefined(input attributeType as System.Type, input inherit as logical):
   end method.

   method public System.Collections.Generic.IList GetCustomAttributesData():
   end method.

   method public final System.Reflection.MethodBase ResolveMethod(input metadataToken as integer):
   end method.

   method public System.Reflection.MethodBase ResolveMethod(input metadataToken as integer, input genericTypeArguments as System.Type extent, input genericMethodArguments as System.Type extent):
   end method.

   method public final System.Reflection.FieldInfo ResolveField(input metadataToken as integer):
   end method.

   method public System.Reflection.FieldInfo ResolveField(input metadataToken as integer, input genericTypeArguments as System.Type extent, input genericMethodArguments as System.Type extent):
   end method.

   method public final System.Type ResolveType(input metadataToken as integer):
   end method.

   method public System.Type ResolveType(input metadataToken as integer, input genericTypeArguments as System.Type extent, input genericMethodArguments as System.Type extent):
   end method.

   method public final System.Reflection.MemberInfo ResolveMember(input metadataToken as integer):
   end method.

   method public System.Reflection.MemberInfo ResolveMember(input metadataToken as integer, input genericTypeArguments as System.Type extent, input genericMethodArguments as System.Type extent):
   end method.

   method public System.Byte extent ResolveSignature(input metadataToken as integer):
   end method.

   method public character ResolveString(input metadataToken as integer):
   end method.

   method public void GetPEKind(input peKind as System.Reflection.PortableExecutableKinds, input machine as System.Reflection.ImageFileMachine):
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public System.Type GetType(input className as character, input ignoreCase as logical):
   end method.

   method public System.Type GetType(input className as character):
   end method.

   method public System.Type GetType(input className as character, input throwOnError as logical, input ignoreCase as logical):
   end method.

   method public System.Type extent FindTypes(input filter as System.Reflection.TypeFilter, input filterCriteria as System.Object):
   end method.

   method public System.Type extent GetTypes():
   end method.

   method public logical IsResource():
   end method.

   method public final System.Reflection.FieldInfo extent GetFields():
   end method.

   method public System.Reflection.FieldInfo extent GetFields(input bindingFlags as System.Reflection.BindingFlags):
   end method.

   method public final System.Reflection.FieldInfo GetField(input name as character):
   end method.

   method public System.Reflection.FieldInfo GetField(input name as character, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public final System.Reflection.MethodInfo extent GetMethods():
   end method.

   method public System.Reflection.MethodInfo extent GetMethods(input bindingFlags as System.Reflection.BindingFlags):
   end method.

   method public final System.Reflection.MethodInfo GetMethod(input name as character, 
                                                              input bindingAttr as System.Reflection.BindingFlags, 
                                                              input binder as System.Reflection.Binder, 
                                                              input callConvention as System.Reflection.CallingConventions, 
                                                              input types as System.Type extent, 
                                                              input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public final System.Reflection.MethodInfo GetMethod(input name as character, input types as System.Type extent):
   end method.

   method public final System.Reflection.MethodInfo GetMethod(input name as character):
   end method.

   method protected System.Reflection.MethodInfo GetMethodImpl(input name as character, 
                                                               input bindingAttr as System.Reflection.BindingFlags, 
                                                               input binder as System.Reflection.Binder, 
                                                               input callConvention as System.Reflection.CallingConventions, 
                                                               input types as System.Type extent, 
                                                               input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public System.Security.Cryptography.X509Certificates.X509Certificate GetSignerCertificate():
   end method.

end class.
