class System.Security.HostSecurityManager
   inherits System.Object:

   def public property Flags as System.Security.HostSecurityManagerOptions
      get.

   def public property DomainPolicy as System.Security.Policy.PolicyLevel
      get.

   constructor public HostSecurityManager():
   end constructor.

   method public System.Security.Policy.Evidence ProvideAppDomainEvidence(input inputEvidence as System.Security.Policy.Evidence):
   end method.

   method public System.Security.Policy.Evidence ProvideAssemblyEvidence(input loadedAssembly as System.Reflection.Assembly, input inputEvidence as System.Security.Policy.Evidence):
   end method.

   method public System.Security.Policy.ApplicationTrust DetermineApplicationTrust(input applicationEvidence as System.Security.Policy.Evidence, input activatorEvidence as System.Security.Policy.Evidence, input context as System.Security.Policy.TrustManagerContext):
   end method.

   method public System.Security.PermissionSet ResolvePolicy(input evidence as System.Security.Policy.Evidence):
   end method.

   method public System.Type extent GetHostSuppliedAppDomainEvidenceTypes():
   end method.

   method public System.Type extent GetHostSuppliedAssemblyEvidenceTypes(input assembly as System.Reflection.Assembly):
   end method.

   method public System.Security.Policy.EvidenceBase GenerateAppDomainEvidence(input evidenceType as System.Type):
   end method.

   method public System.Security.Policy.EvidenceBase GenerateAssemblyEvidence(input evidenceType as System.Type, input assembly as System.Reflection.Assembly):
   end method.

end class.
