class System.ServiceModel.Channels.MessageProperties
   inherits System.Object
   implements System.Collections.Generic.IDictionary, System.Collections.IEnumerable, System.IDisposable
   final:

   def public property Item as System.Object
      get.
      set.

   def public property Count as integer
      get.

   def public property Encoder as System.ServiceModel.Channels.MessageEncoder
      get.
      set.

   def public property AllowOutputBatching as logical
      get.
      set.

   def public property IsFixedSize as logical
      get.

   def public property IsReadOnly as logical
      get.

   def public property Keys as System.Collections.Generic.ICollection
      get.

   def public property Security as System.ServiceModel.Security.SecurityMessageProperty
      get.
      set.

   def public property Values as System.Collections.Generic.ICollection
      get.

   def public property Via as System.Uri
      get.
      set.

   constructor public MessageProperties():
   end constructor.

   constructor public MessageProperties(input properties as System.ServiceModel.Channels.MessageProperties):
   end constructor.

   method public final void Add(input name as character, input property as System.Object):
   end method.

   method public final void Clear():
   end method.

   method public final void CopyProperties(input properties as System.ServiceModel.Channels.MessageProperties):
   end method.

   method public final logical ContainsKey(input name as character):
   end method.

   method public final void Dispose():
   end method.

   method public final logical Remove(input name as character):
   end method.

   method public final logical TryGetValue(input name as character, input value as System.Object):
   end method.

end class.
