class System.Windows.Forms.Cursor
   inherits System.Object
   implements System.IDisposable, System.Runtime.Serialization.ISerializable
   final:

   def public static property Clip as System.Drawing.Rectangle
      get.
      set.

   def public static property Current as System.Windows.Forms.Cursor
      get.
      set.

   def public property Handle as System.IntPtr
      get.

   def public property HotSpot as System.Drawing.Point
      get.

   def public static property Position as System.Drawing.Point
      get.
      set.

   def public property Size as System.Drawing.Size
      get.

   def public property Tag as System.Object
      get.
      set.

   constructor public Cursor(input handle as System.IntPtr):
   end constructor.

   constructor public Cursor(input fileName as character):
   end constructor.

   constructor public Cursor(input type as System.Type, input resource as character):
   end constructor.

   constructor public Cursor(input stream as System.IO.Stream):
   end constructor.

   method public final System.IntPtr CopyHandle():
   end method.

   method public final void Dispose():
   end method.

   method public final void Draw(input g as System.Drawing.Graphics, input targetRect as System.Drawing.Rectangle):
   end method.

   method public final void DrawStretched(input g as System.Drawing.Graphics, input targetRect as System.Drawing.Rectangle):
   end method.

   method protected final override void Finalize():
   end method.

   method public final static void Hide():
   end method.

   method public final static void Show():
   end method.

   method public override character ToString():
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

end class.
