class System.Xml.XmlDeclaration
   inherits System.Xml.XmlLinkedNode
   implements System.ICloneable, System.Collections.IEnumerable, System.Xml.XPath.IXPathNavigable:

   def public property Version as character
      get.

   def public property Encoding as character
      get.
      set.

   def public property Standalone as character
      get.
      set.

   def public override property Value as character
      get.
      set.

   def public property InnerText as character
      get.
      set.

   def public override property Name as character
      get.

   def public property LocalName as character
      get.

   def public override property NodeType as System.Xml.XmlNodeType
      get.

   constructor protected XmlDeclaration(input version as character, input encoding as character, input standalone as character, input doc as System.Xml.XmlDocument):
   end constructor.

   method public override System.Xml.XmlNode CloneNode(input deep as logical):
   end method.

   method public override void WriteTo(input w as System.Xml.XmlWriter):
   end method.

   method public override void WriteContentTo(input w as System.Xml.XmlWriter):
   end method.

end class.
