class OpenEdge.Core.Util.BuilderRegistry:

	constructor public BuilderRegistry ():
	end.

	constructor public BuilderRegistry ( poRegistry as OpenEdge.Core.Util.BuilderRegistry):
	end.

	constructor public BuilderRegistry ( poValueType as Progress.Lang.Class):
	end.

	define public property Size as integer no-undo
		public get.
		private set.

	define public property ValueType as Progress.Lang.Class no-undo
		public get.
		private set.

	method public void PutAll ( poRegistry as OpenEdge.Core.Util.BuilderRegistry):
	end.

	method public logical Put ( pTypeKey as Progress.Lang.Class, pType as Progress.Lang.Class):
	end.

	method public logical Put ( pTypeKey as Progress.Lang.Enum, pType as Progress.Lang.Class):
	end.

	method public logical Put ( pTypeKey as character, pType as character):
	end.

	method public logical Put ( pcTypeKey as character, poType as Progress.Lang.Class):
	end.

	method public logical Remove ( pcTypeKey as character):
	end.

	method public logical Has ( pTypeKey as Progress.Lang.Class):
	end.

	method public logical Has ( pTypeKey as Progress.Lang.Enum):
	end.

	method public logical Has ( pcTypeKey as character):
	end.

	method public Progress.Lang.Class Get ( pTypeKey as Progress.Lang.Class):
	end.

	method public Progress.Lang.Class Get ( pTypeKey as Progress.Lang.Enum):
	end.

	method public Progress.Lang.Class Get ( pcTypeKey as character):
	end.

	method public void Clear ():
	end.

	method public character extent GetKeys ():
	end.

end.
