class OpenEdge.Core.Util.ConfigBuilder abstract:

	constructor public ConfigBuilder ():
	end.

	method protected void ClearOptions ():
	end.

	method protected logical SetOption ( pcName as character, pdValue as decimal):
	end.

	method protected Progress.Lang.Object GetOptionObjectValue ( pcName as character):
	end.

	method protected decimal GetOptionNumericValue ( pcName as character):
	end.

	method protected character extent GetOptionStringArrayValue ( pcName as character):
	end.

	method protected character GetOptionStringValue ( pcName as character):
	end.

	method protected longchar GetOptionLongcharValue ( pcName as character):
	end.

	method protected logical GetOptionLogicalValue ( pcName as character):
	end.

	method protected datetime-tz GetOptionDateTimeValue ( pcName as character):
	end.

	/* BUFFER PARAMETER *
	method protected logical FindConfigRecord (  pConfig as buffer, pName as character):
	end.
	*/

	method protected logical HasOption ( pcConfigName as character):
	end.

	method protected logical RemoveOption ( pcName as character):
	end.

	method protected logical SetOption ( pName as Progress.Lang.Class, pValue as Progress.Lang.Object):
	end.

	method protected logical SetOption ( pcName as character, poValue as Progress.Lang.Object):
	end.

	method protected logical SetOption ( pcName as character, plValue as logical):
	end.

	method protected logical SetOption ( pcName as character, ptValue as datetime-tz):
	end.

	method protected logical SetOption ( pcName as character, pcValue as character):
	end.

	method protected logical SetOption ( pcName as character, pcValue as character extent ):
	end.

	method protected logical AppendArrayCharacterValue ( pcName as character, pcValue as character):
	end.

end.
