class OpenEdge.Core.Util.TokenResolver:

	constructor public TokenResolver ():
	end.

	define public static property MONTH_LONG as character extent 12 no-undo
		public get.
		public set.

	define public static property MONTH_SHORT as character extent 12 no-undo
		public get.
		public set.

	define public static property WEEKDAY_LONG as character extent 7 no-undo
		public get.
		public set.

	define public static property WEEKDAY_SHORT as character extent 7 no-undo
		public get.
		public set.

	method public static character ResolveError ( pTokenArg as character, pError as Progress.Lang.Error):
	end.

	method public static character ResolveName ( pTokenArg as character, pName as character):
	end.

	method public static character ResolveTime ( pTokenArg as character, pTimestamp as datetime-tz):
	end.

	method public static character ResolveTime ( pTokenArg as character, pMonthLong as character extent 12 , pMonthShort as character extent 12 , pWeekdayLong as character extent 7 , pWeekdayShort as character extent 7 , pTimestamp as datetime-tz):
	end.

	method public static character ResolveUser ( pTokenArg as character, pUser as handle):
	end.

	method public static character ResolveToken ( pTokenGroup as character, pTokenArg as character, pContext as Progress.Lang.Object):
	end.

	method public static OpenEdge.Core.Util.Token extent Parse ( pBaseString as character):
	end.

	method public static character Resolve ( pcBaseString as character):
	end.

	define public static event TokenResolved void ( pSender as Progress.Lang.Object, pArgs as OpenEdge.Core.Util.TokenResolverEventArgs).

end.
