class OpenEdge.Core.XML.SaxReader:

	constructor public SaxReader ():
	end.

	method public void ParseDocument ( pcXML as longchar):
	end.

	method public void ParseDocument ( pmXML as memptr):
	end.

	method public void ParseFile ( pcFilename as character):
	end.

	method public void ResolveEntity ( pcPublicID as character, pcSystemID as character, output pcFilePath as character, output pcMemPointer as longchar):
	end.

	method public void StartDocument ():
	end.

	method public void ProcessingInstruction ( pcTarget as character, pcData as character):
	end.

	method public void StartPrefixMapping ( pcPrefix as character, pcURI as character):
	end.

	method public void EndPrefixMapping ( pcPrefix as character):
	end.

	method public void StartElement ( pcNamespaceURI as character, pcLocalName as character, pcQName as character, phAttributes as handle):
	end.

	method public void Characters ( pcCharData as longchar, piNumChars as integer):
	end.

	method public void IgnorableWhitespace ( pcCharData as character, piNumChars as integer):
	end.

	method public void EndElement ( pcNamespaceURI as character, pcLocalName as character, pcQName as character):
	end.

	method public void EndDocument ():
	end.

	method public void NotationDecl ( pcName as character, pcPublicID as character, pcSystemID as character):
	end.

	method public void UnparsedEntityDecl ( pcName as character, pcPublicID as character, pcSystemID as character, pcNotationName as character):
	end.

	method public void Warning ( pcErrMessage as character):
	end.

	method public void Error ( pcErrMessage as character):
	end.

	method public void FatalError ( pcErrMessage as character):
	end.

	define public event SaxReaderStartDocument void ( phReader as handle).

	define public event SaxReaderProcessingInstruction void ( phReader as handle, pcTarget as character, pcData as character).

	define public event SaxReaderResolveEntity void ( phReader as handle, pcPublicID as character, pcSystemID as character, output pcFilePath as character, output pcMemPointer as longchar).

	define public event SaxReaderStartPrefixMapping void ( phReader as handle, pcPrefix as character, pcURI as character).

	define public event SaxReaderEndPrefixMapping void ( phReader as handle, pcPrefix as character).

	define public event SaxReaderStartElement void ( phReader as handle, pcNamespaceURI as character, pcLocalName as character, pcQName as character, phAttributes as handle).

	define public event SaxReaderCharacters void ( phReader as handle, pcCharData as longchar, piNumChars as integer).

	define public event SaxReaderIgnorableWhitespace void ( phReader as handle, pcCharData as character, piNumChars as integer).

	define public event SaxReaderEndElement void ( phSaxReader as handle, pcNamespaceURI as character, pcLocalName as character, pcQName as character).

	define public event SaxReaderEndDocument void ( phReader as handle).

	define public event SaxReaderNotationDecl void ( phReader as handle, pcName as character, pcPublicID as character, pcSystemID as character).

	define public event SaxReaderUnparsedEntityDecl void ( phReader as handle, pcName as character, publicID as character, systemID as character, pcNotationName as character).

	define public event SaxReaderWarning void ( phReader as handle, pcErrMessage as character).

	define public event SaxReaderError void ( phReader as handle, pcErrMessage as character).

	define public event SaxReaderFatalError void ( phReader as handle, pcErrMessage as character).

end.
