class OpenEdge.Net.HTTP.HttpClient
	implements OpenEdge.Net.HTTP.IHttpClient, 
		OpenEdge.Core.ISupportInitialize, 
		OpenEdge.Logging.ISupportLogging:

	constructor public HttpClient ( pcClientName as character, pcClientVersion as character, poLibrary as OpenEdge.Net.HTTP.IHttpClientLibrary):
	end.

	define public property ClientName as character no-undo
		public get.
		private set.

	define public property ClientVersion as character no-undo
		public get.
		private set.

	define public property Options as OpenEdge.Net.HTTP.ClientOptions no-undo
		public get.
		private set.

	define public property Logger as OpenEdge.Logging.ILogWriter no-undo
		public get.
		public set.

	method public static OpenEdge.Net.HTTP.HttpClient Instance ():
	end.

	method public OpenEdge.Net.HTTP.IHttpResponse Execute ( poRequest as OpenEdge.Net.HTTP.IHttpRequest):
	end.

	method public void Execute ( poRequest as OpenEdge.Net.HTTP.IHttpRequest, poResponse as OpenEdge.Net.HTTP.IHttpResponse):
	end.

	method protected logical ProcessStatusAction ( poRequest as OpenEdge.Net.HTTP.IHttpRequest, poResponse as OpenEdge.Net.HTTP.IHttpResponse):
	end.

	method public void Initialize ():
	end.

	method public void Destroy ():
	end.

	method protected void AddUserAgent ( poRequest as OpenEdge.Net.HTTP.IHttpRequest):
	end.

end.
