interface OpenEdge.Net.HTTP.IAuthenticatedRequest:

	define public property AuthenticationMethod as character no-undo
		public get.

	define public property Credentials as OpenEdge.Net.HTTP.Credentials no-undo
		public get.
		public set.

	define public property AuthenticationChallenge as character no-undo
		public get.

	method public void SetChallenge ( poAuthMethod as character, pcChallenge as character).

	method public void AddAuthentication ().

	method public void AddAuthenticationCallback ( poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler).

	method public void RemoveAuthenticationCallback ( poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler).

	method public integer GetAuthenticationCallbacks ( output poListener as OpenEdge.Net.HTTP.Filter.Auth.IAuthFilterEventHandler extent ).

end.
