class OpenEdge.Net.MultipartEntity
	implements OpenEdge.Net.ISupportMultipartEntity:

	constructor public MultipartEntity ():
	end.

	define public property Boundary as character no-undo
		public get.
		public set.

	define public property Size as integer no-undo
		public get.
		private set.

	define public property Prologue as character no-undo
		public get.
		public set.

	define public property Epilogue as character no-undo
		public get.
		public set.

	method public void ClearParts ():
	end.

	method public logical SetPart ( piPartNum as integer, poEntity as OpenEdge.Net.MessagePart):
	end.

	method public integer AddPart ( poEntity as OpenEdge.Net.MessagePart):
	end.

	method public OpenEdge.Net.MessagePart GetPart ( piPartNumber as integer):
	end.

	method public OpenEdge.Net.MessagePart extent GetPart ( pcContentId as character):
	end.

	method public logical RemovePart ( piPartNumber as integer):
	end.

end.
