class OpenEdge.Web.WebRequest
implements OpenEdge.Web.IWebRequest:
    
  define public property CharacterEncoding as character no-undo get. set.
  
  define public property ContentLength as integer no-undo get. set.
  
  define public property ContentMD5 as raw no-undo get. set.
  
  define public property ContentType as character no-undo get. set.
  
  define public property ContextNames as character no-undo get.
  
  define public property DefaultCookieDomain as character no-undo get.
  
  define public property DefaultCookiePath as character no-undo get.
  
  define public property Entity as Progress.Lang.Object no-undo get. set.
  
  define public property LocalAddress as character no-undo get.
  
  define public property LocalHost as character no-undo get.
  
  define public property LocalPort as integer no-undo get.
  
  define public property Method as character no-undo get. set.
  
  define public property PathInfo as character no-undo get.
  
  define public property PathParameterNames as character no-undo initial ? get. private set.
  
  define public property RemoteAddress as character no-undo get.
  
  define public property RemoteHost as character no-undo get.
  
  define public property RemotePort as integer no-undo get.
  
  define public property RemoteUser as character no-undo get.
  
  define public property ResolvedTransportPath as character no-undo get.
  
  define public property ResolvedWebAppPath as character no-undo get.
  
  define public property ServerSoftware as character no-undo get.
  
  define public property TransferEncoding as character no-undo get. set.
  
  define public property TransportPath as character no-undo get.
  
  define public property URI as OpenEdge.Net.URI no-undo get. set.
  
  define public property UriTemplate as character no-undo initial ? get. private set.
  
  define public property Version as character no-undo get. set.
  
  define public property WebAppPath as character no-undo get.
  
  method public void ClearCookies():
  end.
  
  method public void ClearHeaders():
  end.
  
  method private OpenEdge.Core.Collections.IStringStringMap createQueryMapFromContext ():
  end.
  
  method public longchar GetContextValue(p1 as character):
  end.
  
  method public OpenEdge.Net.HTTP.Cookie GetCookie(input p1 as character):
  end.
  
  method public integer GetCookies(output p1 as OpenEdge.Net.HTTP.Cookie extent):
  end. 
  
  method public OpenEdge.Net.HTTP.HttpHeader GetHeader(p1 as character):
  end.
  
  method public integer GetHeaders(output p1 as OpenEdge.Net.HTTP.HttpHeader extent):
  end.
  
  method private character GetHeaderValue(p1 as character):
  end.
  
  method private char GetMethodNotImplementedMessage():
  end.
  
  method public character GetPathParameter(p1 as character):
  end.
  
  method private char GetPropNotImplementedMessage():
  end.
  
  method private char GetReadOnlyMessage():
  end.
  
  method public logical HasCookie(input p1 as character):
  end.
  
  method public logical HasCookie(poCookie as OpenEdge.Net.HTTP.Cookie):
  end.
  
  method public logical HasHeader(p1 as character):
  end.
  
  method private void LoadCookies():
  end.
  
  method public void RemoveCookie(input p1 as character ):
  end.
  
  method public void RemoveCookie(p1 as OpenEdge.Net.HTTP.Cookie):
  end.
  
  method public void RemoveHeader(p1 as character):
  end.
  
  method public void SetCookie(p1 as OpenEdge.Net.HTTP.Cookie):
  end.
  
  method public void SetCookies(p1 as OpenEdge.Net.HTTP.Cookie extent):
  end.
  
  method public OpenEdge.Net.HTTP.HttpHeader SetHeader(input p1 as character, input p2 as character):
  end.
  
  method public void SetHeader(p1 as OpenEdge.Net.HTTP.HttpHeader):
  end.
  
  method public void SetHeaders(p1 as OpenEdge.Net.HTTP.HttpHeader extent):
  end.
    
end.
