class DataPAEnterpriseDashboard.DashboardQuery
   inherits System.Object
   implements DataPAEnterpriseDashboard.DashboardQuery._DashboardQuery, System.Runtime.Serialization.ISerializable, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property ClearDataOnNextRefresh as logical
      get.
      set.

   def public property DataManageType as DataPAEnterpriseDashboard.DashboardQuery.DataManageTypeEnum
      get.
      set.

   def public property SupportsCollate as logical
      get.

   def public property RefreshesAcrossMultipleConnections as logical
      get.

   def public property OrphanedRequiredFields as Microsoft.VisualBasic.Collection
      get.

   def public property ErrorsOnLastRefresh as logical
      get.

   def public property Parent as DataPAEnterpriseDashboard.DashboardQueries
      get.
      set.

   def public property ConnectionDetails as DataPAEnterpriseDashboard.QueryConnectionDetails
      get.
      set.

   def public property QueuedForRefresh as logical
      get.

   def public property QueryErrorMessage as character
      get.
      set.

   def public property Username as character
      get.
      set.

   def public property Password as character
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property autoRefresh as logical
      get.
      set.

   def public property ComRefreshInterval as character
      get.
      set.

   def public property refreshInterval as System.TimeSpan
      get.
      set.

   def public property RefreshOnOpen as logical
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   def public property Query as RunDataPA.Query
      get.
      set.

   def public property ResultsSet as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property Refreshing as logical
      get.

   def public property HasDependantObjects as logical
      get.

   def public property LastRefreshStarted as datetime
      get.

   def public property LastRefreshCompleted as datetime
      get.

   def public property HasOrphanedRequiredFields as logical
      get.

   def public property SubjectID as character
      get.

   def public property SystemName as character
      get.

   def public property SQLQueryString as character
      get.

   def public property CalculatedColumns as DataPAEnterpriseDashboard.CalculatedColumns
      get.
      set.

   def public property ValidSubject as logical
      get.

   def public property NextAutoRefresh as datetime
      get.
      set.

   def public property QueryString as character
      get.

   def public event ServerRequestComplete signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected DashboardQuery(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end constructor.

   constructor public DashboardQuery():
   end constructor.

   constructor public DashboardQuery(input Parent as DataPAEnterpriseDashboard.DashboardQueries, input QueryString as character):
   end constructor.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method public void GetObjectData(input info as System.Runtime.Serialization.SerializationInfo, input context as System.Runtime.Serialization.StreamingContext):
   end method.

   method public final logical UpdateQuery(input QueryString as character, input ErrString as character):
   end method.

   method public final logical RefreshData():
   end method.

   method public final logical RefreshData(input Asynchronous as logical):
   end method.

   method public final void CancelRefresh():
   end method.

   method public final void ReApplyCalculatedColumns():
   end method.

   method public final DataPAEnterpriseDashboard.DashboardObject ResolveRequiredFieldRequirements():
   end method.

   method public final logical RequiredFieldsSuppliedByThirdParty():
   end method.

   method public final void ClearRequiredFieldsSuppliedByThirdParty():
   end method.

   method public final void SetNextAutoRefresh():
   end method.

   method public final void SetNextAutoRefresh(input NextRefresh as datetime):
   end method.

end class.
