class DataPAEnterpriseDashboard.GroupColumn
   inherits System.Object
   implements DataPAEnterpriseDashboard.GroupColumn._GroupColumn, DataPASerialization.ISerializable:

   def public static variable ClassId as character.

   def public static variable InterfaceId as character.

   def public static variable EventsId as character.

   def public property PivotTableDimension as DataPAEnterpriseDashboard.GroupColumn.PivotTableDimensionType
      get.
      set.

   def public property Format as character
      get.
      set.

   def public property Label as character
      get.
      set.

   def public property HyperLink as character
      get.
      set.

   def public property ID as character
      get.

   def public property GUID as System.Guid
      get.

   def public property Parent as DataPAEnterpriseDashboard.GroupColumns
      get.
      set.

   def public property ColumnName as System.Object
      get.

   def public property NumericColumn as logical
      get.

   def public property SortColumn as DataPAEnterpriseDashboard.SummaryColumn
      get.
      set.

   def public property SortType as DataPAEnterpriseDashboard.SummaryData.SummaryDataSummarySortType
      get.
      set.

   def public property ShowGroupType as DataPAEnterpriseDashboard.SummaryData.SummaryDataShowGroupType
      get.
      set.

   def public property SpecifiedGroupSortValues as Microsoft.VisualBasic.Collection
      get.
      set.

   def public property ShowGroupValue as integer
      get.
      set.

   def public property OtherGroupName as character
      get.
      set.

   def public property IncludeTies as logical
      get.
      set.

   def public property DateGroupType as DataPAEnterpriseDashboard.SummaryData.SummaryDataDateGroupType
      get.
      set.

   def public property QuarterStartMonth as DataPAEnterpriseDashboard.SummaryData.SummaryDataMonthType
      get.
      set.

   def public property DateColumn as logical
      get.

   def public property DateTimeColumn as logical
      get.

   def public property GroupBasedOnColumn as DataPAEnterpriseDashboard.SummaryColumn
      get.
      set.

   def public property GroupColumns as DataPAEnterpriseDashboard.GroupColumns
      get.
      set.

   def public property IncludeOthers as logical
      get.
      set.

   def public property DataGridFormatColumn as character
      get.
      set.

   def public property DataGridFormatType as DataPAEnterpriseDashboard.SummaryColumn.DataGridSummaryColumnFormatType
      get.
      set.

   def public property numberDecimals as integer
      get.
      set.

   def public property numericPrefix as character
      get.
      set.

   def public property numericSuffix as character
      get.
      set.

   def public property Editable as logical
      get.
      set.

   def public property Hidden as logical
      get.
      set.

   def public property forceTrailingZeros as logical
      get.
      set.

   def public property NumericGuiFormat as character
      get.

   def public property SuppressThousandSeparator as logical
      get.
      set.

   def public property DataGridUseBespokeFont as logical
      get.
      set.

   def public property DataGridFont as System.Drawing.Font
      get.
      set.

   def public property DataGridTextColor as System.Drawing.Color
      get.
      set.

   constructor public GroupColumn():
   end constructor.

   constructor public GroupColumn(input Parent as DataPAEnterpriseDashboard.GroupColumns, input Column as System.Data.DataColumn, input Format as character, input ServerType as character):
   end constructor.

   method public void GetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

   method protected final void SetObjectData(input info as DataPASerialization.SerializationInfo):
   end method.

end class.
