interface DataPASQLClient.EnterpriseService.IEnterpriseService:

   method public void ProcessLockRequest(input LockType as character, input UserID as character, input SecurityCode as character, input Details as character, input FunctionType as integer, input Response as logical, input OutputUserID as character, input OutputDetails as character, input OutputDateTime as character, input SetupGUID as character, input ErrorMessage as character).

   method public character CheckLogin(input UserID as character, input Password as character, input SecurityCode as character, input GroupID as character, input ServerSecurity as System.Byte extent).

   method public logical FolderPathValid(input FolderPath as character, input UserID as character, input Password as character, input SecurityCode as character).

   method public System.Data.DataSet GetDashboardObjects(input UserID as character, input Password as character, input SecurityCode as character, input ContentType as integer).

   method public logical MoveDashboardObject(input UserID as character, input Password as character, input SecurityCode as character, input FromIndex as integer, input ToIndex as integer, input ErrorMessage as character).

   method public void ReloadDashboardObject(input Seq as int64, input UserID as character, input Password as character, input SecurityCode as character).

   method public void ClearDashboardObjectError(input Seq as int64, input UserID as character, input Password as character, input SecurityCode as character).

   method public logical TestConnect(input Connect as character).

   method public logical TestSQL(input Connect as character, input SQL as character).

   method public System.Data.DataSet RunSQLProcedure(input Connect as character, input SQLProcedure as character, input SQLParams as character, input SQLParamTypes as character, input SQLParamInputs as character, input SQLParamSizes as character, input SQLParamScales as character, input SQLParamPrecs as character, input SQLParamValues as character, input Filter as character, input Sort as character, input FieldList as character, input LabelList as character).

   method public System.Data.DataSet RunSQLQuery(input Connect as character, input SQL as character).

   method public System.Data.DataSet GetStrct(input Connect as character).

   method public System.Data.DataSet GetProcedures(input Connection as character).

   method public System.Data.DataSet GetProcedureParams(input Connection as character).

   method public void StartAutoRefreshDelay(input SecurityCode as character, input bSoft as logical).

   method public void RemoveEventHandlers(input SecurityCode as character).

   method public void TouchDashboard(input sMMFName as character, input UserID as character, input Password as character, input SecurityCode as character).

   method public character OpenSecurity(input UserID as character, input Password as character, input ServerSecurity as System.Byte extent, input SecurityCode as character, input SecurityGUID as character, input ReadUsersFromAppServer as logical).

   method public character SaveSecurity(input UserID as character, input Password as character, input ServerSecurity as System.Byte extent, input SecurityCode as character, input SecurityGUID as character).

   method public integer CheckAppServerSecurity(input UserID as character, input Password as character, input SecurityCode as character, input AppServerURL as character, input StateFree as logical, input UseBLToAssignUserGroups as logical, input UseBLforGroupPrivileges as logical, input UseBLToDefineGroups as logical, input ErrorMessage as character).

   method public character OpenSetup(input UserID as character, input Password as character, input SecurityCode as character, input Partitions as System.Byte extent, input Links as System.Byte extent, input Conditions as System.Byte extent, input SDOs as System.Byte extent, input Lookups as System.Byte extent, input Subjects as System.Byte extent, input SetupGUID as character, input DenySystemsAccess as logical, input DenySubjectsAccess as logical).

   method public character SaveSetup(input UserID as character, input Password as character, input SecurityCode as character, input Partitions as System.Byte extent, input Links as System.Byte extent, input Conditions as System.Byte extent, input SDOs as System.Byte extent, input Lookups as System.Byte extent, input Subjects as System.Byte extent, input SetupGUID as character).

   method public System.Byte extent OpenDashboard(input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character).

   method public System.Byte extent OpenDocument(input ID as character, input Type as character, input UserID as character, input Password as character, input SecurityCode as character, input ClientFileName as character).

   method public logical ResetUserPassword(input SecCode as character, input UserID as character, input CurrentPassword as character, input NewPassword as character).

   method public character PublishDashboard(input ID as character, input DashboardFile as System.Byte extent, input DashboardFileName as character, input SecurityList as character, input Overwrite as logical, input UserID as character, input Password as character, input SecurityCode as character).

   method public character PublishDocument(input Data as System.Byte extent, input Type as character, input ClientFileName as character, input SystemName as character, input Overwrite as logical, input ID as character, input Title as character, input Description as character, input Keywords as character, input Category as character, input Comments as character, input Author as character, input UserID as character, input Password as character, input ReqFieldNames as System.String extent, input ReqFieldLabels as System.String extent, input ReqFieldDescs as System.String extent, input ReqFieldTypes as System.String extent, input ReqFieldMands as System.String extent, input ReqFieldValues as System.String extent, input ReqFieldLookups as System.String extent, input ReqFieldFormats as System.String extent, input SecurityCode as character, input ErrorMessage as character).

   method public character UnpublishDashboard(input DashboardId as character, input UserID as character, input Password as character, input SecurityCode as character).

   method public character UnpublishDocument(input ID as character, input UserID as character, input Password as character, input SecurityCode as character).

   method public System.Data.DataSet GetPublishedDashboardsDataSet(input UserID as character, input Password as character, input SecurityCode as character).

   method public System.Data.DataTable GetMMFDashboards(input UserID as character, input Password as character, input SecurityCode as character).

   method public character UnpublishAllDashboards(input UserID as character, input Password as character, input SecurityCode as character).

   method public logical LoadDashboard(input sMMFName as character, input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character, input NeedMutex as logical).

   method public logical LoadDashboardObject(input DashboardFile as character, input UserID as character, input Password as character, input SecurityCode as character).

   method public character RemoveDashboardFromMemory(input DashboardFile as character, input Type as character, input UserID as character, input Password as character, input SecurityCode as character).

end interface.
