class Infragistics.UltraChart.Core.Primitives.Text
   inherits Infragistics.UltraChart.Core.Primitives.Primitive:

   def public variable bounds as System.Drawing.Rectangle.

   def public property Envelope as Infragistics.UltraChart.Core.Primitives.Box
      get.
      set.

   def protected property textString as character
      get.
      set.

   def public property labelStyle as Infragistics.UltraChart.Shared.Styles.LabelStyle
      get.
      set.

   def public property FitsInBox as logical
      get.
      set.

   def public property RotationOrigin as System.Drawing.Point
      get.
      set.

   constructor public Text():
   end constructor.

   constructor public Text(input pos as System.Drawing.Point, input text as character, input style as Infragistics.UltraChart.Shared.Styles.LabelStyle):
   end constructor.

   constructor public Text(input bounds as System.Drawing.Rectangle, input text as character, input style as Infragistics.UltraChart.Shared.Styles.LabelStyle):
   end constructor.

   constructor public Text(input pos as System.Drawing.Point, input text as character):
   end constructor.

   method public final void SetTextString(input text as character):
   end method.

   method public final character GetTextString():
   end method.

   method public final void SetLabelStyle(input style as Infragistics.UltraChart.Shared.Styles.LabelStyle):
   end method.

   method public final Infragistics.UltraChart.Shared.Styles.LabelStyle GetLabelStyle():
   end method.

   method public override logical HitTest(input point as System.Drawing.Point):
   end method.

end class.
