class Infragistics.UltraChart.Resources.Appearance.PolarChartAppearance
   inherits Infragistics.UltraChart.Resources.Appearance.ScatterChartAppearance
   implements Infragistics.UltraChart.Resources.IProvideChartComponent:

   def public property EnableLabelFlipping as logical
      get.
      set.

   def public property LabelFlippingStartAngle as integer
      get.
      set.

   def public property LabelFlippingEndAngle as integer
      get.
      set.

   def public property FillArea as logical
      get.
      set.

   def public property FreeStandingAxis as logical
      get.
      set.

   def public property AngleUnit as Infragistics.UltraChart.Shared.Styles.AngleUnit
      get.
      set.

   def public override property ConnectWithLines as logical
      get.
      set.

   constructor public PolarChartAppearance():
   end constructor.

   constructor public PolarChartAppearance(input component as Infragistics.UltraChart.Resources.IChartComponent):
   end constructor.

   method public final logical ShouldSerializeEnableLabelFlipping():
   end method.

   method public final void ResetEnableLabelFlipping():
   end method.

   method public final logical ShouldSerializeLabelFlippingStartAngle():
   end method.

   method public final void ResetLabelFlippingStartAngle():
   end method.

   method public final logical ShouldSerializeLabelFlippingEndAngle():
   end method.

   method public final void ResetLabelFlippingEndAngle():
   end method.

   method public final logical ShouldSerializeFillArea():
   end method.

   method public final void ResetFillArea():
   end method.

   method public final logical ShouldSerializeFreeStandingAxis():
   end method.

   method public final void ResetFreeStandingAxis():
   end method.

   method public final logical ShouldSerializeAngleUnit():
   end method.

   method public final void ResetAngleUnit():
   end method.

   method public override void ResetConnectWithLines():
   end method.

   method protected override logical ShouldSerializeConnectWithLines():
   end method.

   method public final override logical ShouldSerialize():
   end method.

   method public override void Reset():
   end method.

end class.
