class Progress.Open4GL.Proxy.ProObject
   inherits System.Object
   implements Progress.Message.jcMsg, System.IDisposable
   abstract:

   def protected static variable TYPE_AO as character.

   def protected static variable TYPE_SO as character.

   def protected static variable TYPE_PO as character.

   def protected static variable TYPE_SP as character.

   def protected static variable m_notAvailable as int64.

   def protected static variable m_wrongProxyVer as int64.

   def protected static variable m_badOutputVal as int64.

   def protected variable disposed as logical.

   def public property AppObjectID as character
      get.

   def public property ConnectionId as character
      get.

   def public property ProcReturnString as character
      get.

   def public property RequestId as character
      get.

   def public property SSLSubjectName as character
      get.

   def public property RefCount as integer
      get.

   def protected property AppName as character
      get.

   def protected property Properties as Progress.Open4GL.DynamicAPI.IPoolProps
      get.

   def protected property Log as Progress.Common.EhnLog.IAppLogger
      get.

   def protected property SessionMode as integer
      get.

   def protected property SessionPool as Progress.Open4GL.DynamicAPI.SessionPool
      get.
      set.

   def protected property SessionID as character
      get.
      set.

   def public property BadOutputVal as int64
      get.

   def public property NotAvailable as int64
      get.

   def public property WrongProxyVer as int64
      get.

   constructor protected ProObject():
   end constructor.

   constructor protected ProObject(input proxyObj as Progress.Open4GL.Proxy.ProObject, input objectType as character):
   end constructor.

   method protected final static character newRequestID(input properties as Progress.Open4GL.DynamicAPI.IPoolProps):
   end method.

   method public Progress.Open4GL.DynamicAPI.RqContext runProcedure(input procName as character, input params_Renamed as Progress.Open4GL.DynamicAPI.ParameterSet):
   end method.

   method public Progress.Open4GL.DynamicAPI.RqContext runProcedure(input requestID as character, input procName as character, input params_Renamed as Progress.Open4GL.DynamicAPI.ParameterSet):
   end method.

   method public Progress.Open4GL.DynamicAPI.RqContext runProcedure(input procName as character, input params_Renamed as Progress.Open4GL.DynamicAPI.ParameterSet, input schema as Progress.Open4GL.DynamicAPI.MetaSchema):
   end method.

   method public Progress.Open4GL.DynamicAPI.RqContext runProcedure(input requestID as character, input procName as character, input params_Renamed as Progress.Open4GL.DynamicAPI.ParameterSet, input schema as Progress.Open4GL.DynamicAPI.MetaSchema):
   end method.

   method public Progress.Open4GL.DynamicAPI.Session GetSession(input sessionID as character):
   end method.

   method public final Progress.Open4GL.DynamicAPI.Session GetSession():
   end method.

   method public final void Dispose():
   end method.

   method protected final void Dispose(input disposing as logical):
   end method.

   method public void Shutdown():
   end method.

   method public void _CancelAllRequests():
   end method.

   method public override character ToString():
   end method.

   method public int64 Get_tsCreated():
   end method.

   method public int64 Get_tsLastAccessed():
   end method.

   method public int64 Set_tsLastAccessed():
   end method.

   method public integer GetRefCount():
   end method.

   method public integer AddReference():
   end method.

   method public integer DeleteReference():
   end method.

   method protected final override void Finalize():
   end method.

   method protected final void initAppObject(input appName as character, input properties as Progress.Open4GL.DynamicAPI.IPoolProps, input log as Progress.Common.EhnLog.IAppLogger, input requestID as character):
   end method.

   method public logical isSessionAvailable():
   end method.

end class.
