class System.AppDomain
   inherits System.MarshalByRefObject
   implements System._AppDomain, System.Security.IEvidenceFactory
   final:

   def public property DomainManager as System.AppDomainManager
      get.

   def public static property CurrentDomain as System.AppDomain
      get.

   def public property Evidence as System.Security.Policy.Evidence
      get.

   def public property FriendlyName as character
      get.

   def public property BaseDirectory as character
      get.

   def public property RelativeSearchPath as character
      get.

   def public property ShadowCopyFiles as logical
      get.

   def public property ActivationContext as System.ActivationContext
      get.

   def public property ApplicationIdentity as System.ApplicationIdentity
      get.

   def public property ApplicationTrust as System.Security.Policy.ApplicationTrust
      get.

   def public property DynamicDirectory as character
      get.

   def public property SetupInformation as System.AppDomainSetup
      get.

   def public property PermissionSet as System.Security.PermissionSet
      get.

   def public property IsFullyTrusted as logical
      get.

   def public property IsHomogenous as logical
      get.

   def public property Id as integer
      get.

   def public static property MonitoringIsEnabled as logical
      get.
      set.

   def public property MonitoringTotalProcessorTime as System.TimeSpan
      get.

   def public property MonitoringTotalAllocatedMemorySize as int64
      get.

   def public property MonitoringSurvivedMemorySize as int64
      get.

   def public static property MonitoringSurvivedProcessMemorySize as int64
      get.

   def public event AssemblyLoad signature void (input sender as System.Object, input args as System.AssemblyLoadEventArgs).

   def public event TypeResolve signature void (input sender as System.Object, input args as System.ResolveEventArgs).

   def public event ResourceResolve signature void (input sender as System.Object, input args as System.ResolveEventArgs).

   def public event AssemblyResolve signature void (input sender as System.Object, input args as System.ResolveEventArgs).

   def public event ReflectionOnlyAssemblyResolve signature void (input sender as System.Object, input args as System.ResolveEventArgs).

   def public event ProcessExit signature void (input sender as System.Object, input e as System.EventArgs).

   def public event DomainUnload signature void (input sender as System.Object, input e as System.EventArgs).

   def public event UnhandledException signature void (input sender as System.Object, input e as System.UnhandledExceptionEventArgs).

   def public event FirstChanceException signature void (input sender as System.Object, input e as System.Runtime.ExceptionServices.FirstChanceExceptionEventArgs).

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input assemblyAttributes as System.Collections.Generic.IEnumerable):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input assemblyAttributes as System.Collections.Generic.IEnumerable, input securityContextSource as System.Security.SecurityContextSource):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input evidence as System.Security.Policy.Evidence):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input evidence as System.Security.Policy.Evidence):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input evidence as System.Security.Policy.Evidence, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input evidence as System.Security.Policy.Evidence, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input evidence as System.Security.Policy.Evidence, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet, input isSynchronized as logical):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input evidence as System.Security.Policy.Evidence, input requiredPermissions as System.Security.PermissionSet, input optionalPermissions as System.Security.PermissionSet, input refusedPermissions as System.Security.PermissionSet, input isSynchronized as logical, input assemblyAttributes as System.Collections.Generic.IEnumerable):
   end method.

   method public final System.Reflection.Emit.AssemblyBuilder DefineDynamicAssembly(input name as System.Reflection.AssemblyName, input access as System.Reflection.Emit.AssemblyBuilderAccess, input dir as character, input isSynchronized as logical, input assemblyAttributes as System.Collections.Generic.IEnumerable):
   end method.

   method public final character ApplyPolicy(input assemblyName as character):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateInstance(input assemblyName as character, input typeName as character):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateInstanceFrom(input assemblyFile as character, input typeName as character):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateComInstanceFrom(input assemblyName as character, input typeName as character):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateComInstanceFrom(input assemblyFile as character, input typeName as character, input hashValue as System.Byte extent, input hashAlgorithm as System.Configuration.Assemblies.AssemblyHashAlgorithm):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateInstance(input assemblyName as character, input typeName as character, input activationAttributes as System.Object extent):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateInstanceFrom(input assemblyFile as character, input typeName as character, input activationAttributes as System.Object extent):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateInstance(input assemblyName as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent, input securityAttributes as System.Security.Policy.Evidence):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateInstance(input assemblyName as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateInstanceFrom(input assemblyFile as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent, input securityAttributes as System.Security.Policy.Evidence):
   end method.

   method public final System.Runtime.Remoting.ObjectHandle CreateInstanceFrom(input assemblyFile as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent):
   end method.

   method public final System.Reflection.Assembly Load(input assemblyRef as System.Reflection.AssemblyName):
   end method.

   method public final System.Reflection.Assembly Load(input assemblyString as character):
   end method.

   method public final System.Reflection.Assembly Load(input rawAssembly as System.Byte extent):
   end method.

   method public final System.Reflection.Assembly Load(input rawAssembly as System.Byte extent, input rawSymbolStore as System.Byte extent):
   end method.

   method public final System.Reflection.Assembly Load(input rawAssembly as System.Byte extent, input rawSymbolStore as System.Byte extent, input securityEvidence as System.Security.Policy.Evidence):
   end method.

   method public final System.Reflection.Assembly Load(input assemblyRef as System.Reflection.AssemblyName, input assemblySecurity as System.Security.Policy.Evidence):
   end method.

   method public final System.Reflection.Assembly Load(input assemblyString as character, input assemblySecurity as System.Security.Policy.Evidence):
   end method.

   method public final integer ExecuteAssembly(input assemblyFile as character):
   end method.

   method public final integer ExecuteAssembly(input assemblyFile as character, input assemblySecurity as System.Security.Policy.Evidence):
   end method.

   method public final integer ExecuteAssembly(input assemblyFile as character, input assemblySecurity as System.Security.Policy.Evidence, input args as System.String extent):
   end method.

   method public final integer ExecuteAssembly(input assemblyFile as character, input args as System.String extent):
   end method.

   method public final integer ExecuteAssembly(input assemblyFile as character, input assemblySecurity as System.Security.Policy.Evidence, input args as System.String extent, input hashValue as System.Byte extent, input hashAlgorithm as System.Configuration.Assemblies.AssemblyHashAlgorithm):
   end method.

   method public final integer ExecuteAssembly(input assemblyFile as character, input args as System.String extent, input hashValue as System.Byte extent, input hashAlgorithm as System.Configuration.Assemblies.AssemblyHashAlgorithm):
   end method.

   method public final integer ExecuteAssemblyByName(input assemblyName as character):
   end method.

   method public final integer ExecuteAssemblyByName(input assemblyName as character, input assemblySecurity as System.Security.Policy.Evidence):
   end method.

   method public final integer ExecuteAssemblyByName(input assemblyName as character, input assemblySecurity as System.Security.Policy.Evidence, input args as System.String extent):
   end method.

   method public final integer ExecuteAssemblyByName(input assemblyName as character, input args as System.String extent):
   end method.

   method public final integer ExecuteAssemblyByName(input assemblyName as System.Reflection.AssemblyName, input assemblySecurity as System.Security.Policy.Evidence, input args as System.String extent):
   end method.

   method public final integer ExecuteAssemblyByName(input assemblyName as System.Reflection.AssemblyName, input args as System.String extent):
   end method.

   method public override character ToString():
   end method.

   method public final System.Reflection.Assembly extent GetAssemblies():
   end method.

   method public final System.Reflection.Assembly extent ReflectionOnlyGetAssemblies():
   end method.

   method public final logical IsFinalizingForUnload():
   end method.

   method public final void AppendPrivatePath(input path as character):
   end method.

   method public final void ClearPrivatePath():
   end method.

   method public final void ClearShadowCopyPath():
   end method.

   method public final void SetCachePath(input path as character):
   end method.

   method public final void SetData(input name as character, input data as System.Object):
   end method.

   method public final void SetData(input name as character, input data as System.Object, input permission as System.Security.IPermission):
   end method.

   method public final System.Object GetData(input name as character):
   end method.

   method public final logical IsCompatibilitySwitchSet(input value as character):
   end method.

   method public final static integer GetCurrentThreadId():
   end method.

   method public final static void Unload(input domain as System.AppDomain):
   end method.

   method public final void SetAppDomainPolicy(input domainPolicy as System.Security.Policy.PolicyLevel):
   end method.

   method public final void SetThreadPrincipal(input principal as System.Security.Principal.IPrincipal):
   end method.

   method public final void SetPrincipalPolicy(input policy as System.Security.Principal.PrincipalPolicy):
   end method.

   method public override System.Object InitializeLifetimeService():
   end method.

   method public final void DoCallBack(input callBackDelegate as System.CrossAppDomainDelegate):
   end method.

   method public final static System.AppDomain CreateDomain(input friendlyName as character, input securityInfo as System.Security.Policy.Evidence):
   end method.

   method public final static System.AppDomain CreateDomain(input friendlyName as character, input securityInfo as System.Security.Policy.Evidence, input appBasePath as character, input appRelativeSearchPath as character, input shadowCopyFiles as logical):
   end method.

   method public final static System.AppDomain CreateDomain(input friendlyName as character):
   end method.

   method public final static System.AppDomain CreateDomain(input friendlyName as character, input securityInfo as System.Security.Policy.Evidence, input info as System.AppDomainSetup):
   end method.

   method public final static System.AppDomain CreateDomain(input friendlyName as character, input securityInfo as System.Security.Policy.Evidence, input info as System.AppDomainSetup, input grantSet as System.Security.PermissionSet, input fullTrustAssemblies as System.Security.Policy.StrongName extent):
   end method.

   method public final static System.AppDomain CreateDomain(input friendlyName as character, input securityInfo as System.Security.Policy.Evidence, input appBasePath as character, input appRelativeSearchPath as character, input shadowCopyFiles as logical, input adInit as System.AppDomainInitializer, input adInitArgs as System.String extent):
   end method.

   method public final void SetShadowCopyPath(input path as character):
   end method.

   method public final void SetShadowCopyFiles():
   end method.

   method public final void SetDynamicBase(input path as character):
   end method.

   method public final System.Object CreateInstanceAndUnwrap(input assemblyName as character, input typeName as character):
   end method.

   method public final System.Object CreateInstanceAndUnwrap(input assemblyName as character, input typeName as character, input activationAttributes as System.Object extent):
   end method.

   method public final System.Object CreateInstanceAndUnwrap(input assemblyName as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent, input securityAttributes as System.Security.Policy.Evidence):
   end method.

   method public final System.Object CreateInstanceAndUnwrap(input assemblyName as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent):
   end method.

   method public final System.Object CreateInstanceFromAndUnwrap(input assemblyName as character, input typeName as character):
   end method.

   method public final System.Object CreateInstanceFromAndUnwrap(input assemblyName as character, input typeName as character, input activationAttributes as System.Object extent):
   end method.

   method public final System.Object CreateInstanceFromAndUnwrap(input assemblyName as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent, input securityAttributes as System.Security.Policy.Evidence):
   end method.

   method public final System.Object CreateInstanceFromAndUnwrap(input assemblyFile as character, input typeName as character, input ignoreCase as logical, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input args as System.Object extent, input culture as System.Globalization.CultureInfo, input activationAttributes as System.Object extent):
   end method.

   method public final logical IsDefaultAppDomain():
   end method.

   method public final override System.Type GetType():
   end method.

end class.
