interface System.Diagnostics.SymbolStore.ISymbolWriter:

   method public void Initialize(input emitter as System.IntPtr, input filename as character, input fFullBuild as logical).

   method public System.Diagnostics.SymbolStore.ISymbolDocumentWriter DefineDocument(input url as character, input language as System.Guid, input languageVendor as System.Guid, input documentType as System.Guid).

   method public void SetUserEntryPoint(input entryMethod as System.Diagnostics.SymbolStore.SymbolToken).

   method public void OpenMethod(input method as System.Diagnostics.SymbolStore.SymbolToken).

   method public void CloseMethod().

   method public void DefineSequencePoints(input document as System.Diagnostics.SymbolStore.ISymbolDocumentWriter, input offsets as System.Int32 extent, input lines as System.Int32 extent, input columns as System.Int32 extent, input endLines as System.Int32 extent, input endColumns as System.Int32 extent).

   method public integer OpenScope(input startOffset as integer).

   method public void CloseScope(input endOffset as integer).

   method public void SetScopeRange(input scopeID as integer, input startOffset as integer, input endOffset as integer).

   method public void DefineLocalVariable(input name as character, input attributes as System.Reflection.FieldAttributes, input signature as System.Byte extent, input addrKind as System.Diagnostics.SymbolStore.SymAddressKind, input addr1 as integer, input addr2 as integer, input addr3 as integer, input startOffset as integer, input endOffset as integer).

   method public void DefineParameter(input name as character, input attributes as System.Reflection.ParameterAttributes, input sequence as integer, input addrKind as System.Diagnostics.SymbolStore.SymAddressKind, input addr1 as integer, input addr2 as integer, input addr3 as integer).

   method public void DefineField(input parent as System.Diagnostics.SymbolStore.SymbolToken, input name as character, input attributes as System.Reflection.FieldAttributes, input signature as System.Byte extent, input addrKind as System.Diagnostics.SymbolStore.SymAddressKind, input addr1 as integer, input addr2 as integer, input addr3 as integer).

   method public void DefineGlobalVariable(input name as character, input attributes as System.Reflection.FieldAttributes, input signature as System.Byte extent, input addrKind as System.Diagnostics.SymbolStore.SymAddressKind, input addr1 as integer, input addr2 as integer, input addr3 as integer).

   method public void Close().

   method public void SetSymAttribute(input parent as System.Diagnostics.SymbolStore.SymbolToken, input name as character, input data as System.Byte extent).

   method public void OpenNamespace(input name as character).

   method public void CloseNamespace().

   method public void UsingNamespace(input fullName as character).

   method public void SetMethodSourceRange(input startDoc as System.Diagnostics.SymbolStore.ISymbolDocumentWriter, input startLine as integer, input startColumn as integer, input endDoc as System.Diagnostics.SymbolStore.ISymbolDocumentWriter, input endLine as integer, input endColumn as integer).

   method public void SetUnderlyingWriter(input underlyingWriter as System.IntPtr).

end interface.
