class System.Reflection.Emit.TypeBuilder
   inherits System.Reflection.TypeInfo
   implements System.Reflection.ICustomAttributeProvider, System.Runtime.InteropServices._MemberInfo, System.Runtime.InteropServices._Type, System.Reflection.IReflect, System.Reflection.IReflectableType, System.Runtime.InteropServices._TypeBuilder
   final:

   def public static variable UnspecifiedTypeSize as integer.

   def public override property DeclaringType as System.Type
      get.

   def public override property ReflectedType as System.Type
      get.

   def public override property Name as character
      get.

   def public override property Module as System.Reflection.Module
      get.

   def public override property GUID as System.Guid
      get.

   def public override property Assembly as System.Reflection.Assembly
      get.

   def public override property TypeHandle as System.RuntimeTypeHandle
      get.

   def public override property FullName as character
      get.

   def public override property Namespace as character
      get.

   def public override property AssemblyQualifiedName as character
      get.

   def public override property BaseType as System.Type
      get.

   def public override property IsSecurityCritical as logical
      get.

   def public override property IsSecuritySafeCritical as logical
      get.

   def public override property IsSecurityTransparent as logical
      get.

   def public override property UnderlyingSystemType as System.Type
      get.

   def public override property GenericParameterAttributes as System.Reflection.GenericParameterAttributes
      get.

   def public override property IsGenericTypeDefinition as logical
      get.

   def public override property IsGenericType as logical
      get.

   def public override property IsGenericParameter as logical
      get.

   def public override property IsConstructedGenericType as logical
      get.

   def public override property GenericParameterPosition as integer
      get.

   def public override property DeclaringMethod as System.Reflection.MethodBase
      get.

   def public property Size as integer
      get.

   def public property PackingSize as System.Reflection.Emit.PackingSize
      get.

   def public property TypeToken as System.Reflection.Emit.TypeToken
      get.

   method public override logical IsAssignableFrom(input typeInfo as System.Reflection.TypeInfo):
   end method.

   method public final static System.Reflection.MethodInfo GetMethod(input type as System.Type, input method as System.Reflection.MethodInfo):
   end method.

   method public final static System.Reflection.ConstructorInfo GetConstructor(input type as System.Type, input constructor as System.Reflection.ConstructorInfo):
   end method.

   method public final static System.Reflection.FieldInfo GetField(input type as System.Type, input field as System.Reflection.FieldInfo):
   end method.

   method public final logical IsCreated():
   end method.

   method public override character ToString():
   end method.

   method public override System.Object InvokeMember(input name as character, input invokeAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input target as System.Object, input args as System.Object extent, input modifiers as System.Reflection.ParameterModifier extent, input culture as System.Globalization.CultureInfo, input namedParameters as System.String extent):
   end method.

   method protected override System.Reflection.ConstructorInfo GetConstructorImpl(input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public override System.Reflection.ConstructorInfo extent GetConstructors(input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method protected override System.Reflection.MethodInfo GetMethodImpl(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input callConvention as System.Reflection.CallingConventions, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public override System.Reflection.MethodInfo extent GetMethods(input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Reflection.FieldInfo GetField(input name as character, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Reflection.FieldInfo extent GetFields(input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Type GetInterface(input name as character, input ignoreCase as logical):
   end method.

   method public override System.Type extent GetInterfaces():
   end method.

   method public override System.Reflection.EventInfo GetEvent(input name as character, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Reflection.EventInfo extent GetEvents():
   end method.

   method protected override System.Reflection.PropertyInfo GetPropertyImpl(input name as character, input bindingAttr as System.Reflection.BindingFlags, input binder as System.Reflection.Binder, input returnType as System.Type, input types as System.Type extent, input modifiers as System.Reflection.ParameterModifier extent):
   end method.

   method public override System.Reflection.PropertyInfo extent GetProperties(input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Type extent GetNestedTypes(input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Type GetNestedType(input name as character, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Reflection.MemberInfo extent GetMember(input name as character, input type as System.Reflection.MemberTypes, input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Reflection.InterfaceMapping GetInterfaceMap(input interfaceType as System.Type):
   end method.

   method public override System.Reflection.EventInfo extent GetEvents(input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override System.Reflection.MemberInfo extent GetMembers(input bindingAttr as System.Reflection.BindingFlags):
   end method.

   method public override logical IsAssignableFrom(input c as System.Type):
   end method.

   method protected override System.Reflection.TypeAttributes GetAttributeFlagsImpl():
   end method.

   method protected override logical IsArrayImpl():
   end method.

   method protected override logical IsByRefImpl():
   end method.

   method protected override logical IsPointerImpl():
   end method.

   method protected override logical IsPrimitiveImpl():
   end method.

   method protected override logical IsCOMObjectImpl():
   end method.

   method public override System.Type GetElementType():
   end method.

   method protected override logical HasElementTypeImpl():
   end method.

   method public override logical IsSubclassOf(input c as System.Type):
   end method.

   method public override System.Type MakePointerType():
   end method.

   method public override System.Type MakeByRefType():
   end method.

   method public override System.Type MakeArrayType():
   end method.

   method public override System.Type MakeArrayType(input rank as integer):
   end method.

   method public override System.Object extent GetCustomAttributes(input inherit as logical):
   end method.

   method public override System.Object extent GetCustomAttributes(input attributeType as System.Type, input inherit as logical):
   end method.

   method public override logical IsDefined(input attributeType as System.Type, input inherit as logical):
   end method.

   method public final System.Reflection.Emit.GenericTypeParameterBuilder extent DefineGenericParameters(input names as System.String extent):
   end method.

   method public override System.Type MakeGenericType(input typeArguments as System.Type extent):
   end method.

   method public override System.Type extent GetGenericArguments():
   end method.

   method public override System.Type GetGenericTypeDefinition():
   end method.

   method public final void DefineMethodOverride(input methodInfoBody as System.Reflection.MethodInfo, input methodInfoDeclaration as System.Reflection.MethodInfo):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefineMethod(input name as character, input attributes as System.Reflection.MethodAttributes, input returnType as System.Type, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefineMethod(input name as character, input attributes as System.Reflection.MethodAttributes):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefineMethod(input name as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefineMethod(input name as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefineMethod(input name as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input returnTypeRequiredCustomModifiers as System.Type extent, input returnTypeOptionalCustomModifiers as System.Type extent, input parameterTypes as System.Type extent, input parameterTypeRequiredCustomModifiers as System.Type extent, input parameterTypeOptionalCustomModifiers as System.Type extent):
   end method.

   method public final System.Reflection.Emit.ConstructorBuilder DefineTypeInitializer():
   end method.

   method public final System.Reflection.Emit.ConstructorBuilder DefineDefaultConstructor(input attributes as System.Reflection.MethodAttributes):
   end method.

   method public final System.Reflection.Emit.ConstructorBuilder DefineConstructor(input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.Emit.ConstructorBuilder DefineConstructor(input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input parameterTypes as System.Type extent, input requiredCustomModifiers as System.Type extent, input optionalCustomModifiers as System.Type extent):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefinePInvokeMethod(input name as character, input dllName as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent, input nativeCallConv as System.Runtime.InteropServices.CallingConvention, input nativeCharSet as System.Runtime.InteropServices.CharSet):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefinePInvokeMethod(input name as character, input dllName as character, input entryName as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent, input nativeCallConv as System.Runtime.InteropServices.CallingConvention, input nativeCharSet as System.Runtime.InteropServices.CharSet):
   end method.

   method public final System.Reflection.Emit.MethodBuilder DefinePInvokeMethod(input name as character, input dllName as character, input entryName as character, input attributes as System.Reflection.MethodAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input returnTypeRequiredCustomModifiers as System.Type extent, input returnTypeOptionalCustomModifiers as System.Type extent, input parameterTypes as System.Type extent, input parameterTypeRequiredCustomModifiers as System.Type extent, input parameterTypeOptionalCustomModifiers as System.Type extent, input nativeCallConv as System.Runtime.InteropServices.CallingConvention, input nativeCharSet as System.Runtime.InteropServices.CharSet):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineNestedType(input name as character):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineNestedType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type, input interfaces as System.Type extent):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineNestedType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineNestedType(input name as character, input attr as System.Reflection.TypeAttributes):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineNestedType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type, input typeSize as integer):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineNestedType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type, input packSize as System.Reflection.Emit.PackingSize):
   end method.

   method public final System.Reflection.Emit.TypeBuilder DefineNestedType(input name as character, input attr as System.Reflection.TypeAttributes, input parent as System.Type, input packSize as System.Reflection.Emit.PackingSize, input typeSize as integer):
   end method.

   method public final System.Reflection.Emit.FieldBuilder DefineField(input fieldName as character, input type as System.Type, input attributes as System.Reflection.FieldAttributes):
   end method.

   method public final System.Reflection.Emit.FieldBuilder DefineField(input fieldName as character, input type as System.Type, input requiredCustomModifiers as System.Type extent, input optionalCustomModifiers as System.Type extent, input attributes as System.Reflection.FieldAttributes):
   end method.

   method public final System.Reflection.Emit.FieldBuilder DefineInitializedData(input name as character, input data as System.Byte extent, input attributes as System.Reflection.FieldAttributes):
   end method.

   method public final System.Reflection.Emit.FieldBuilder DefineUninitializedData(input name as character, input size as integer, input attributes as System.Reflection.FieldAttributes):
   end method.

   method public final System.Reflection.Emit.PropertyBuilder DefineProperty(input name as character, input attributes as System.Reflection.PropertyAttributes, input returnType as System.Type, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.Emit.PropertyBuilder DefineProperty(input name as character, input attributes as System.Reflection.PropertyAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input parameterTypes as System.Type extent):
   end method.

   method public final System.Reflection.Emit.PropertyBuilder DefineProperty(input name as character, input attributes as System.Reflection.PropertyAttributes, input returnType as System.Type, input returnTypeRequiredCustomModifiers as System.Type extent, input returnTypeOptionalCustomModifiers as System.Type extent, input parameterTypes as System.Type extent, input parameterTypeRequiredCustomModifiers as System.Type extent, input parameterTypeOptionalCustomModifiers as System.Type extent):
   end method.

   method public final System.Reflection.Emit.PropertyBuilder DefineProperty(input name as character, input attributes as System.Reflection.PropertyAttributes, input callingConvention as System.Reflection.CallingConventions, input returnType as System.Type, input returnTypeRequiredCustomModifiers as System.Type extent, input returnTypeOptionalCustomModifiers as System.Type extent, input parameterTypes as System.Type extent, input parameterTypeRequiredCustomModifiers as System.Type extent, input parameterTypeOptionalCustomModifiers as System.Type extent):
   end method.

   method public final System.Reflection.Emit.EventBuilder DefineEvent(input name as character, input attributes as System.Reflection.EventAttributes, input eventtype as System.Type):
   end method.

   method public final System.Reflection.TypeInfo CreateTypeInfo():
   end method.

   method public final System.Type CreateType():
   end method.

   method public final void SetParent(input parent as System.Type):
   end method.

   method public final void AddInterfaceImplementation(input interfaceType as System.Type):
   end method.

   method public final void AddDeclarativeSecurity(input action as System.Security.Permissions.SecurityAction, input pset as System.Security.PermissionSet):
   end method.

   method public final void SetCustomAttribute(input con as System.Reflection.ConstructorInfo, input binaryAttribute as System.Byte extent):
   end method.

   method public final void SetCustomAttribute(input customBuilder as System.Reflection.Emit.CustomAttributeBuilder):
   end method.

end class.
