class System.Xml.XmlDictionaryReader
   inherits System.Xml.XmlReader
   implements System.IDisposable
   abstract:

   def public property CanCanonicalize as logical
      get.

   def public property Quotas as System.Xml.XmlDictionaryReaderQuotas
      get.

   constructor protected XmlDictionaryReader():
   end constructor.

   method public final static System.Xml.XmlDictionaryReader CreateDictionaryReader(input reader as System.Xml.XmlReader):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input buffer as System.Byte extent, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input dictionary as System.Xml.IXmlDictionary, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input dictionary as System.Xml.IXmlDictionary, input quotas as System.Xml.XmlDictionaryReaderQuotas, input session as System.Xml.XmlBinaryReaderSession):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input dictionary as System.Xml.IXmlDictionary, input quotas as System.Xml.XmlDictionaryReaderQuotas, input session as System.Xml.XmlBinaryReaderSession, input onClose as System.Xml.OnXmlDictionaryReaderClose):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input stream as System.IO.Stream, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input stream as System.IO.Stream, input dictionary as System.Xml.IXmlDictionary, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input stream as System.IO.Stream, input dictionary as System.Xml.IXmlDictionary, input quotas as System.Xml.XmlDictionaryReaderQuotas, input session as System.Xml.XmlBinaryReaderSession):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateBinaryReader(input stream as System.IO.Stream, input dictionary as System.Xml.IXmlDictionary, input quotas as System.Xml.XmlDictionaryReaderQuotas, input session as System.Xml.XmlBinaryReaderSession, input onClose as System.Xml.OnXmlDictionaryReaderClose):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateTextReader(input buffer as System.Byte extent, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateTextReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateTextReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input encoding as System.Text.Encoding, input quotas as System.Xml.XmlDictionaryReaderQuotas, input onClose as System.Xml.OnXmlDictionaryReaderClose):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateTextReader(input stream as System.IO.Stream, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateTextReader(input stream as System.IO.Stream, input encoding as System.Text.Encoding, input quotas as System.Xml.XmlDictionaryReaderQuotas, input onClose as System.Xml.OnXmlDictionaryReaderClose):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateMtomReader(input stream as System.IO.Stream, input encoding as System.Text.Encoding, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateMtomReader(input stream as System.IO.Stream, input encodings as System.Text.Encoding extent, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateMtomReader(input stream as System.IO.Stream, input encodings as System.Text.Encoding extent, input contentType as character, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateMtomReader(input stream as System.IO.Stream, input encodings as System.Text.Encoding extent, input contentType as character, input quotas as System.Xml.XmlDictionaryReaderQuotas, input maxBufferSize as integer, input onClose as System.Xml.OnXmlDictionaryReaderClose):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateMtomReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input encoding as System.Text.Encoding, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateMtomReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input encodings as System.Text.Encoding extent, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateMtomReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input encodings as System.Text.Encoding extent, input contentType as character, input quotas as System.Xml.XmlDictionaryReaderQuotas):
   end method.

   method public final static System.Xml.XmlDictionaryReader CreateMtomReader(input buffer as System.Byte extent, input offset as integer, input count as integer, input encodings as System.Text.Encoding extent, input contentType as character, input quotas as System.Xml.XmlDictionaryReaderQuotas, input maxBufferSize as integer, input onClose as System.Xml.OnXmlDictionaryReaderClose):
   end method.

   method public void StartCanonicalization(input stream as System.IO.Stream, input includeComments as logical, input inclusivePrefixes as System.String extent):
   end method.

   method public void EndCanonicalization():
   end method.

   method public void MoveToStartElement():
   end method.

   method public void MoveToStartElement(input name as character):
   end method.

   method public void MoveToStartElement(input localName as character, input namespaceUri as character):
   end method.

   method public void MoveToStartElement(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public logical IsLocalName(input localName as character):
   end method.

   method public logical IsLocalName(input localName as System.Xml.XmlDictionaryString):
   end method.

   method public logical IsNamespaceUri(input namespaceUri as character):
   end method.

   method public logical IsNamespaceUri(input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public void ReadFullStartElement():
   end method.

   method public void ReadFullStartElement(input name as character):
   end method.

   method public void ReadFullStartElement(input localName as character, input namespaceUri as character):
   end method.

   method public void ReadFullStartElement(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public void ReadStartElement(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public logical IsStartElement(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer IndexOfLocalName(input localNames as System.String extent, input namespaceUri as character):
   end method.

   method public integer IndexOfLocalName(input localNames as System.Xml.XmlDictionaryString extent, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public character GetAttribute(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public logical TryGetBase64ContentLength(input length as integer):
   end method.

   method public integer ReadValueAsBase64(input buffer as System.Byte extent, input offset as integer, input count as integer):
   end method.

   method public System.Byte extent ReadContentAsBase64():
   end method.

   method public override character ReadContentAsString():
   end method.

   method protected final character ReadContentAsString(input maxStringContentLength as integer):
   end method.

   method public override character ReadString():
   end method.

   method protected final character ReadString(input maxStringContentLength as integer):
   end method.

   method public System.Byte extent ReadContentAsBinHex():
   end method.

   method protected final System.Byte extent ReadContentAsBinHex(input maxByteArrayContentLength as integer):
   end method.

   method protected final logical IsTextNode(input nodeType as System.Xml.XmlNodeType):
   end method.

   method public integer ReadContentAsChars(input chars as System.Char extent, input offset as integer, input count as integer):
   end method.

   method public override System.Object ReadContentAs(input type as System.Type, input namespaceResolver as System.Xml.IXmlNamespaceResolver):
   end method.

   method public character ReadContentAsString(input strings as System.String extent, input index as integer):
   end method.

   method public character ReadContentAsString(input strings as System.Xml.XmlDictionaryString extent, input index as integer):
   end method.

   method public override decimal ReadContentAsDecimal():
   end method.

   method public override decimal ReadContentAsFloat():
   end method.

   method public System.Xml.UniqueId ReadContentAsUniqueId():
   end method.

   method public System.Guid ReadContentAsGuid():
   end method.

   method public System.TimeSpan ReadContentAsTimeSpan():
   end method.

   method public void ReadContentAsQualifiedName(input localName as character, input namespaceUri as character):
   end method.

   method public override character ReadElementContentAsString():
   end method.

   method public override logical ReadElementContentAsBoolean():
   end method.

   method public override integer ReadElementContentAsInt():
   end method.

   method public override int64 ReadElementContentAsLong():
   end method.

   method public override decimal ReadElementContentAsFloat():
   end method.

   method public override decimal ReadElementContentAsDouble():
   end method.

   method public override decimal ReadElementContentAsDecimal():
   end method.

   method public override datetime ReadElementContentAsDateTime():
   end method.

   method public System.Xml.UniqueId ReadElementContentAsUniqueId():
   end method.

   method public System.Guid ReadElementContentAsGuid():
   end method.

   method public System.TimeSpan ReadElementContentAsTimeSpan():
   end method.

   method public System.Byte extent ReadElementContentAsBase64():
   end method.

   method public System.Byte extent ReadElementContentAsBinHex():
   end method.

   method public void GetNonAtomizedNames(input localName as character, input namespaceUri as character):
   end method.

   method public logical TryGetLocalNameAsDictionaryString(input localName as System.Xml.XmlDictionaryString):
   end method.

   method public logical TryGetNamespaceUriAsDictionaryString(input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public logical TryGetValueAsDictionaryString(input value as System.Xml.XmlDictionaryString):
   end method.

   method public logical IsStartArray(input type as System.Type):
   end method.

   method public logical TryGetArrayLength(input count as integer):
   end method.

   method public System.Boolean extent ReadBooleanArray(input localName as character, input namespaceUri as character):
   end method.

   method public System.Boolean extent ReadBooleanArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.Boolean extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Boolean extent, input offset as integer, input count as integer):
   end method.

   method public System.Int16 extent ReadInt16Array(input localName as character, input namespaceUri as character):
   end method.

   method public System.Int16 extent ReadInt16Array(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.Int16 extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Int16 extent, input offset as integer, input count as integer):
   end method.

   method public System.Int32 extent ReadInt32Array(input localName as character, input namespaceUri as character):
   end method.

   method public System.Int32 extent ReadInt32Array(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.Int32 extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Int32 extent, input offset as integer, input count as integer):
   end method.

   method public System.Int64 extent ReadInt64Array(input localName as character, input namespaceUri as character):
   end method.

   method public System.Int64 extent ReadInt64Array(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.Int64 extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Int64 extent, input offset as integer, input count as integer):
   end method.

   method public System.Single extent ReadSingleArray(input localName as character, input namespaceUri as character):
   end method.

   method public System.Single extent ReadSingleArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.Single extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Single extent, input offset as integer, input count as integer):
   end method.

   method public System.Double extent ReadDoubleArray(input localName as character, input namespaceUri as character):
   end method.

   method public System.Double extent ReadDoubleArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.Double extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Double extent, input offset as integer, input count as integer):
   end method.

   method public System.Decimal extent ReadDecimalArray(input localName as character, input namespaceUri as character):
   end method.

   method public System.Decimal extent ReadDecimalArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.Decimal extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Decimal extent, input offset as integer, input count as integer):
   end method.

   method public System.DateTime extent ReadDateTimeArray(input localName as character, input namespaceUri as character):
   end method.

   method public System.DateTime extent ReadDateTimeArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.DateTime extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.DateTime extent, input offset as integer, input count as integer):
   end method.

   method public System.Guid extent ReadGuidArray(input localName as character, input namespaceUri as character):
   end method.

   method public System.Guid extent ReadGuidArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.Guid extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.Guid extent, input offset as integer, input count as integer):
   end method.

   method public System.TimeSpan extent ReadTimeSpanArray(input localName as character, input namespaceUri as character):
   end method.

   method public System.TimeSpan extent ReadTimeSpanArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString):
   end method.

   method public integer ReadArray(input localName as character, input namespaceUri as character, input array as System.TimeSpan extent, input offset as integer, input count as integer):
   end method.

   method public integer ReadArray(input localName as System.Xml.XmlDictionaryString, input namespaceUri as System.Xml.XmlDictionaryString, input array as System.TimeSpan extent, input offset as integer, input count as integer):
   end method.

end class.
