class OpenEdge.Core.Collections.Array
	implements OpenEdge.Core.Collections.ICollection, 
		OpenEdge.Core.Collections.IIterable:

	constructor public Array ( piSize as integer):
	end.

	constructor public Array ( poArray as Progress.Lang.Object extent ):
	end.

	constructor public Array ():
	end.

	define public static variable DefaultArraySize as integer no-undo.

	define public property AutoExpand as logical no-undo
		public get.
		public set.

	define public property DiscardOnShrink as logical no-undo
		public get.
		public set.

	define protected property Value as Progress.Lang.Object extent no-undo
		protected get.
		private set.

	define public property Size as integer no-undo
		public get.
		public set.

	method public void SetValue ( poValue as Progress.Lang.Object):
	end.

	method public Progress.Lang.Object GetValue ( piExtent as integer):
	end.

	method public void SetValue ( poValue as Progress.Lang.Object, piExtent as integer):
	end.

	method public logical Add ( o as Progress.Lang.Object):
	end.

	method public logical AddAll ( c as OpenEdge.Core.Collections.ICollection):
	end.

	method public logical AddArray ( c as Progress.Lang.Object extent ):
	end.

	method public void Clear ():
	end.

	method public logical Contains ( o as Progress.Lang.Object):
	end.

	method public logical ContainsAll ( poCollection as OpenEdge.Core.Collections.ICollection):
	end.

	method public OpenEdge.Core.Collections.IIterator Iterator ():
	end.

	method public logical IsEmpty ():
	end.

	method public logical Remove ( o as Progress.Lang.Object):
	end.

	method public logical RemoveAll ( c as OpenEdge.Core.Collections.ICollection):
	end.

	method public logical RetainAll ( oCollection as OpenEdge.Core.Collections.ICollection):
	end.

	method public void ToTable ( output table-handle p1):
	end.

	method public Progress.Lang.Object extent ToArray ():
	end.

	method public override Progress.Lang.Object Clone ():
	end.

	method protected void CloneElements ( poClone as OpenEdge.Core.Collections.ICollection):
	end.

end.
