interface OpenEdge.Core.Collections.IMap:

	define public property Size as integer no-undo
		public get.

	define public property Values as OpenEdge.Core.Collections.ICollection no-undo
		public get.

	define public property KeySet as OpenEdge.Core.Collections.ISet no-undo
		public get.

	define public property EntrySet as OpenEdge.Core.Collections.ISet no-undo
		public get.

	method public void Clear ().

	method public logical ContainsKey ( poKey as Progress.Lang.Object).

	method public logical ContainsAllKeys ( poKeys as OpenEdge.Core.Collections.ICollection).

	method public logical ContainsValue ( poValue as Progress.Lang.Object).

	method public logical ContainsAllValues ( poValues as OpenEdge.Core.Collections.ICollection).

	method public Progress.Lang.Object Get ( poKey as Progress.Lang.Object).

	method public logical IsEmpty ().

	method public Progress.Lang.Object Put ( poKey as Progress.Lang.Object, poValue as Progress.Lang.Object).

	method public void PutAll ( poMap as OpenEdge.Core.Collections.IMap).

	method public Progress.Lang.Object Remove ( poKey as Progress.Lang.Object).

	method public void RemoveAll ( poKeys as OpenEdge.Core.Collections.ICollection).

end.
