class OpenEdge.DataAdmin.DataAdminCollection
implements OpenEdge.DataAdmin.IDataAdminCollection, 
           OpenEdge.DataAdmin.IDataAdminSerializable,
           OpenEdge.DataAdmin.Lang.Collections.ICollection:

   method public logical Add (input o as Object).
   end.
   
   method public logical AddAll (input o as OpenEdge.DataAdmin.Lang.Collections.ICollection).
   end.
   
   method public logical AddAll (input o as OpenEdge.DataAdmin.Lang.Collections.IIterator).
   end.
   
   method public void AssertNotNull (input a as character, b as character).
   end.
   
   method public void AssertNotNull (input a as integer, b as character).
   end.
   
   method public void AssertNotNull (input a as Object, b as character).
   end.
   
   method public void Attach (input a as OpenEdge.DataAdmin.Binding.IDataAdminContext).
   end.
   
   method public logical CanAttach (input a as OpenEdge.DataAdmin.Binding.IDataAdminContext).
   end.
   
   method public void Clear ().
   end.
   
   method public abstract logical Contains (input o as Object).
   end.
   
   method public abstract OpenEdge.DataAdmin.Binding.IDataAdminContext CreateLocalContext ().
   end.
   
   method public final INTEGER Deserialize (input h as HANDLE).
   end.
   
	method public final INTEGER Deserialize (input h as HANDLE, input i as INTEGER).
 	end.
 	
	method public INTEGER Deserialize (input h as HANDLE, input i as INTEGER, input a as character).
 	end.
 	
	method public void Export ().
 	end.
 	
	method public void Export (input c as CHARACTER).
 	end.
 	
 	method public void ExportAsProcedure (input a as character).
 	end.
 	
 	method public void ExportAsProcedure (input a as character, input b as character).
 	end.
 	
	method public void ExportLastSaved (input c as CHARACTER).
	end.
	
	method public void ExportLastSavedTree (input c as CHARACTER).
	end.
	
	method public void ExportList ().
 	end.
 	
	method public void ExportList (input c as CHARACTER).
 	end.
 	
	method public void ExportTree (input c as CHARACTER).
 	end.
 	
	method public void ExportTree (input c as CHARACTER, input p as CHARACTER).
 	end.
 	
	method public void ExportTree (input c as CHARACTER, input p as OpenEdge.DataAdmin.Rest.IPageRequest).
   end.
   
   method public OpenEdge.DataAdmin.IDataAdminExporter GetCodeExporter ().
   end.
   
   method public OpenEdge.DataAdmin.IDataAdminExporter GetCodeExporter (input a as character).
   end.
   
   method public character GetFileExtension (input a as character).
   end.
   
   method public Progress.Json.ObjectModel.JsonObject GetJSONExport (input t as OpenEdge.DataAdmin.Binding.IContextTree).
   end.
   
	method public void Import (input c as CHARACTER).
	end.
	
	method public void Import (input a as CHARACTER, input b as character).
	end.
	
	method public final void ImportDelete (input c as CHARACTER).
	end.
	
	method public void ImportNew (input c as CHARACTER).
	end.
	
	method public void ImportNewTree (input c as CHARACTER).
	end.
	
	method public void ImportTree (input c as CHARACTER).
	end.
	
	method public void ImportTree (input a as CHARACTER, input b as CHARACTER).
	end.
	
	method public OpenEdge.DataAdmin.Lang.Collections.IIterator Iterator ().
	end.
	
	method public OpenEdge.DataAdmin.Lang.Collections.IIterator Iterator (input c as CHARACTER).
	end.
	
	method public void NewContext (input a as OpenEdge.DataAdmin.Binding.IDataAdminContext).
	end.
	
	method public abstract void PrepareExport ().
	end.
	
	method public abstract void PrepareExportList ().
	end.
	
	method public abstract void PrepareExportTree ().
	end.
	
	method public logical Remove (input o as Object).
	end.
	
	method public void Reset ().
	end.
	
	method public integer Serialize (input h as handle).
	end.
	
	method public void ThrowNull (input a as character, input b as character).
	end.
	
	method public void WriteTree (input t as OpenEdge.DataAdmin.Binding.IContextTree).
	end.
	
	method public void WriteTree (input t as OpenEdge.DataAdmin.Binding.IContextTree, input a as character).
	end.

	contructor public DataAdminCollection ().
	end constructor.
	
	contructor public DataAdminCollection (input a as OpenEdge.DataAdmin.Binding.IDataAdminContext).
	end constructor.
	
	define public property CodeExtension as character get. set.
	define public property Context as OpenEdge.DataAdmin.Binding.IDataAdminContext get. set.
	define public property ContextId as CHARACTER get. set.
	define public property Count as integer get. set.
	define public property DatasetHandle as handle get. set.
	define public property DefaultBuffer as handle get. set.
	define public property HasChanges as logical get. set.
	define public property IsEmpty as logical get. set.
	define public property Service as OpenEdge.DataAdmin.IRequestInfo get. set.
	define public property SourceId as CHARACTER get. set.
	define public property TableHandle as handle get. set.
	define public property TableName as character get. set.
end.