class OpenEdge.Net.HTTP.CookieJar
	implements OpenEdge.Net.HTTP.ICookieJar, 
		OpenEdge.Core.ISupportInitialize, 
		OpenEdge.Logging.ISupportLogging:

	constructor public CookieJar ():
	end.

	define public property Logger as OpenEdge.Logging.ILogWriter no-undo
		public get.
		public set.

	define public property CookieJarPath as character no-undo
		public get.
		public set.

	method public void Initialize ():
	end.

	method public void Destroy ():
	end.

	method public integer GetCookies ( poUri as OpenEdge.Net.URI, output poCookies as OpenEdge.Net.HTTP.Cookie extent ):
	end.

	method public void AddCookies ( poCookies as OpenEdge.Net.HTTP.Cookie extent ):
	end.

	method public logical RemoveCookie ( poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public void AddCookie ( pcDomain as character, pcPath as character, poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public void AddCookie ( poCookie as OpenEdge.Net.HTTP.Cookie):
	end.

	method public void ClearPersistentCookies ():
	end.

	method public void ClearSessionCookies ():
	end.

end.
