class OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder
	inherits OpenEdge.Net.HTTP.ConfigBuilder
 abstract:

	constructor public MessageWriterBuilder ( pcContentType as character, poRegistry as OpenEdge.Net.HTTP.BuilderRegistry):
	end.

	define protected property ContentType as character no-undo
		protected get.
		private set.

	define protected property WriterRegistry as OpenEdge.Net.HTTP.BuilderRegistry no-undo
		protected get.
		private set.

	define public abstract property Writer as OpenEdge.Net.HTTP.Filter.Payload.MessageWriter no-undo
		public get.

	define public static property Registry as OpenEdge.Net.HTTP.BuilderRegistry no-undo
		public get.
		private set.

	method public static OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Build ( poMessage as OpenEdge.Net.HTTP.IHttpMessage, poRegistry as OpenEdge.Net.HTTP.BuilderRegistry):
	end.

	method public static OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Build ( pcContentType as character, poRegistry as OpenEdge.Net.HTTP.BuilderRegistry):
	end.

	method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder WriteTo ( poEntity as Progress.Lang.Object):
	end.

	method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option ( pcName as character, pcValue as character):
	end.

	method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option ( pcName as character, poValue as Progress.Lang.Object):
	end.

	method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option ( pcName as character, piValue as int64):
	end.

	method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option ( pcName as character, pdValue as decimal):
	end.

	method public OpenEdge.Net.HTTP.Filter.Writer.MessageWriterBuilder Option ( pcName as character, plValue as logical):
	end.

	method protected Progress.Lang.Class GetWriter ( pcContentType as character):
	end.

end.
