interface OpenEdge.Net.HTTP.IHttpMessage:

	define public property Version as character no-undo
		public get.
		public set.

	define public property ContentType as character no-undo
		public get.
		public set.

	define public property CharacterEncoding as character no-undo
		public get.
		public set.

	define public property ContentMD5 as raw no-undo
		public get.
		public set.

	define public property Entity as Progress.Lang.Object no-undo
		public get.
		public set.

	define public property ContentLength as integer no-undo
		public get.
		public set.

	define public property TransferEncoding as character no-undo
		public get.
		public set.

	method public void SetHeader ( poHeader as OpenEdge.Net.HTTP.HttpHeader).

	method public void SetHeaders ( poHeader as OpenEdge.Net.HTTP.HttpHeader extent ).

	method public integer GetHeaders ( output poHeaders as OpenEdge.Net.HTTP.HttpHeader extent ).

	method public OpenEdge.Net.HTTP.HttpHeader GetHeader ( pcName as character).

	method public void RemoveHeader ( pcName as character).

	method public logical HasHeader ( pcName as character).

	method public void ClearHeaders ().

	method public void SetCookie ( poCookie as OpenEdge.Net.HTTP.Cookie).

	method public void SetCookies ( poCookies as OpenEdge.Net.HTTP.Cookie extent ).

	method public integer GetCookies ( output poCookies as OpenEdge.Net.HTTP.Cookie extent ).

	method public void RemoveCookie ( poCookie as OpenEdge.Net.HTTP.Cookie).

	method public void RemoveCookie ( pcName as character).

	method public logical HasCookie ( poCookie as OpenEdge.Net.HTTP.Cookie).

	method public logical HasCookie ( pcName as character).

	method public OpenEdge.Net.HTTP.Cookie GetCookie ( pcName as character).

	method public void ClearCookies ().

end.
