class OpenEdge.Net.HTTP.Lib.ABLSockets.ABLSocketLibrary
	implements OpenEdge.Net.HTTP.IHttpClientLibrary, 
		OpenEdge.Logging.ISupportLogging:

	constructor public ABLSocketLibrary ( pcLibraryName as character, pcLibraryVersion as character, poSocket as OpenEdge.Net.ServerConnection.ClientSocket, poSocketConnectionParams as OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters):
	end.

	constructor public ABLSocketLibrary ( pcLibraryName as character, pcLibraryVersion as character, poSocket as OpenEdge.Net.ServerConnection.ClientSocket, poSocketConnectionParams as OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters, poOptions as OpenEdge.Net.HTTP.ClientOptions):
	end.

	define public property Logger as OpenEdge.Logging.ILogWriter no-undo
		public get.
		public set.

	define public property LibraryName as character no-undo
		public get.
		private set.

	define public property LibraryVersion as character no-undo
		public get.
		private set.

	define public property Options as OpenEdge.Net.HTTP.ClientOptions no-undo
		public get.
		private set.

	method public void ReadTimeoutHandler ( poSender as OpenEdge.Net.ServerConnection.ClientSocket, poEventArgs as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
	end.

	method public void ReadTerminatedHandler ( poSender as OpenEdge.Net.ServerConnection.ClientSocket, poEventArgs as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
	end.

	method public void DataReceivedHandler ( poSender as OpenEdge.Net.ServerConnection.ClientSocket, poEventArgs as OpenEdge.Net.ServerConnection.SocketReadEventArgs):
	end.

	method protected void CreateTunnel ( pProxyReq as OpenEdge.Net.HTTP.ISupportProxy):
	end.

	method protected void MakeSyncRequest ( pServer as OpenEdge.Net.ServerConnection.ClientSocket, pRequest as OpenEdge.Net.HTTP.IHttpRequest, pResponse as OpenEdge.Net.HTTP.IHttpResponse):
	end.

	method public void Execute ( poRequest as OpenEdge.Net.HTTP.IHttpRequest, poResponse as OpenEdge.Net.HTTP.IHttpResponse):
	end.

end.
