class OpenEdge.Net.ServerConnection.ClientSocketConnectionParameters
	implements OpenEdge.Core.ServerConnection.IConnectionParameters:

	constructor public ClientSocketConnectionParameters ( poURI as OpenEdge.Net.URI):
	end.

	constructor public ClientSocketConnectionParameters ( pScheme as character, pHost as character, pPort as integer):
	end.

	constructor public ClientSocketConnectionParameters ():
	end.

	define public property FormatMask as OpenEdge.Core.ServerConnection.FormatMaskEnum no-undo
		public get.

	define public property URI as OpenEdge.Net.URI no-undo
		public get.
		public set.

	define public property ReuseSession as logical no-undo
		public get.
		public set.

	define public property VerifyHost as logical no-undo
		public get.
		public set.

	define public property SslProtocols as character extent no-undo
		public get.
		public set.

	define public property SslCiphers as character extent no-undo
		public get.
		public set.

	define public property ServerNameIndicator as character no-undo
		public get.
		public set.

	method public character GetConnectionString ():
	end.

	method public character GetConnectionString ( pcFormatMask as character):
	end.

	method public character GetConnectionString ( poFormatMask as OpenEdge.Core.ServerConnection.FormatMaskEnum):
	end.

end.
